=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-27 11:25:00 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson_options.txt:
	* validate/gst-libs/gst/video/meson.build:
	  gst-devtools: Add a cairo option for the cairo dep
	  So that it can be explicitly disabled to avoid pulling in pixman which
	  doesn't build on Windows ARM64 yet.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1570>

2022-01-07 22:26:16 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/loggable.py:
	  validate: loggable: fix Callable import
	  Since 3.3 importing Callable from collections is deprecated,
	  it should be imported from collections.abc .
	  Since 3.10 the alias has been removed altogether.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1504>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* debug-viewer/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-30 16:22:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/tests/launcher_tests/foreach/flow-expectations/log-sink-sink-expected:
	* validate/tests/launcher_tests/simple_repeat/flow-expectations/log-sink-sink-expected:
	  video: Fix order of new video formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1282>

2021-10-30 00:34:35 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-runner.c:
	  Use g_pattern_spec_match() instead of g_pattern_match() which is deprecated since glib 2.70
	  Fixes compiler warnings with glib 2.70
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1279>

2021-10-25 11:37:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: require matching GStreamer dep versions for unstable development releases
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/929
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1244>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/meson.build:
	* validate/tests/check/meson.build:
	* validate/tests/launcher_tests/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/tests/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-17 11:39:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/tools/meson.build:
	  tools: Define G_LOG_DOMAIN for various tools as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1009>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-10-12 15:52:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  meson: Streamline the way we detect when to build documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-10-02 11:54:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  validate:build: Disable static building validate tracer
	  It introduce duplication of symbols and we need to rework the way we implement it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2020-06-27 00:39:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	  meson: List libraries and their corresponding gir definition
	  Introduces a `libraries` variable that contains all libraries in a
	  list with the following format:
	  ``` meson
	  libraries = [
	  [pkg_name, {
	  'lib': library_object
	  'gir': [ {full gir definition in a dict } ]
	  ],
	  ....
	  ]
	  ```
	  It therefore refactors the way we build the gir so that we can reuse the
	  same information to build them against 'gstreamer-full' in gst-build
	  when linking statically
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2020-06-27 00:37:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	* validate/gst/validate/meson.build:
	  meson: Mark files as files()
	  Making it more robust and future proof
	  And fix issues that it creates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-10-12 18:05:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Reindent utils.py
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1121>

2021-10-12 17:59:03 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Check if the running MR will close a referenced issue
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1121>

2021-10-12 17:19:46 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	* validate/launcher/utils.py:
	  ci: Check for closed bugs for unit tests too
	  And add FIXMEs for test that should have been reenabled but haven't,
	  we will reenable them when CI is stable enough!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1121>

2021-10-12 17:14:49 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Move all unit tests issues to the GStreamer monorepo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1121>

2021-10-13 11:09:20 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  Revert "tests: Blacklist some tests that recently failed"
	  This reverts commit 9f13ee5b0eada5ca0997e59be2ef46d5c2dd1dcd as
	  it was merge as part of the bigger CI gardening MR
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1139>

2021-10-13 00:17:27 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/testsuites/check.py:
	  ges:test: Document some GES failures
	  Namely races in:
	  * check.gst-editing-services.edit_while_seeked_with_stop_it
	  * check.gst-editing-services.check_layer_activness_gaps_it
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/803
	  and https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/804
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1130>

2021-10-13 00:06:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Avoid spamming terminal when inspecting unit tests
	  And redirect GStreamer logs when necessary
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1130>

2021-10-12 23:05:20 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Run validate unit tests as GstValidate tests
	  So we have all the features and we can properly document known issue
	  for them
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1130>

2021-10-07 19:28:41 +0900  Seungha Yang <seungha@centricular.com>

	* validate/gst/validate/flow/gstvalidateflow.c:
	  validate: flow: Fix for line-ending mismatch issue on Windows
	  Unlike POSIX system, Windows distinguishes "w" and "wb" and when
	  a file is opened with text mode, OS will translate \n into \r\n.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1092>

2021-09-25 23:40:31 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Blacklist some tests that recently failed
	  See:
	  - https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/739
	  - https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/740
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/927>

2021-10-12 10:10:05 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Mark check.gstreamer.gst_gstbin.test_watch_for_state_change flaky
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/778
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-11 12:03:02 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  ges:tests: Mark check.gst-plugins-base.validate.giosrc.read-growing-file as flaky
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/776
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-11 11:45:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  ges:tests: Mark ges 'check_edit_in_frames_with_framerate_mistmatch as flaky
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/775
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-11 11:05:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests:webrtcbin: Make known flaky webrtcbin as such
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/773
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-08 12:09:47 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not dump on failure test we will retry
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-08 10:44:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  tests: Blacklist tests that are currently producing many CI failures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-08 09:09:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Allow more flexible handling of flaky tests
	  And retry twice flaky tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-07 21:28:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix progress reporting with --n-runs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-07 19:42:10 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Support retry on failure when using --n-runs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-07 19:41:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix potential invalid index access
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-06 17:21:58 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/reporters.py:
	  validate:launcher: Fix adding logs to xunit
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1113>

2021-10-05 18:50:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Allow waiting signal searching for element factory
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1064>

2021-10-02 11:58:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate:launcher: Sync asset only when passing --sync
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1020>

2021-09-28 15:45:19 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* .arcconfig:
	  Delete .arcconfig files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/951>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:36:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.19.2

2021-09-13 18:24:18 +0200  Vivienne Watermeier <vwatermeier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: fix relative paths for test files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/256>

2021-09-10 17:11:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-override-registry.c:
	  validate: Fix double freeing of GstStructure
	  gst_validate_get_config is transfer-container only
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/255>

2021-08-20 09:22:28 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate-utils: Only modify structure fields that really need updates
	  This avoids memory corruption in users of that structure which
	  were (rightfullly) assuming static fields (such as name) wouldn't
	  change. Without this, they would be using strings which will have been freed in
	  the meantime.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/252>

2021-07-15 14:42:51 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/media-descriptor.c:
	  validate-media-descriptor: Don't check segment position field
	  The position field of GstSegment is meant for private usage within
	  elements. Don't compare the values of it when doing media-check.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/251>

2021-06-08 12:28:49 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	  validate: use `extract_objects` to avoid rebuilding all files for the tracer
	  And add the tracer to the plugins list so it can be used in our
	  uninstalled environment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/250>

2021-06-01 15:29:21 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:16:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.19.1

2021-05-25 21:25:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Error out on invalid 'foreach' iterator types
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-25 21:00:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Handle unknown type in foreach types
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-24 01:26:41 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Make array delemiter a line continuation char
	  Making its usage more friendly
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-24 01:20:47 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tests/launcher_tests/foreach_array.validatetest:
	  validate:scenario: Allow iterating over arrays in `foreach`
	  We used to only support ranges, but we want to allow iterating over
	  values in an array too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-24 01:19:13 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-enums.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/validate.c:
	* validate/tests/check/validate/utilities.c:
	  validate: Add a flag to allow defining how to resolve variables in structs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-23 22:43:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	  validate:flow: Log caps features
	  No reason not to use directy the GstCaps serialization function here
	  This commits avoids needing regenerated all expectations to remove
	  the `;` which is not generated anymore as it is simple and makes
	  merging simpler.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/248>

2021-05-20 16:43:25 +0100  Philippe Normand <philn@igalia.com>

	* validate/launcher/utils.py:
	  validate: launcher: Simplify fakesink handling
	  Now the function returns either a fakeaudiosink or a fakevideosink, depending on
	  the media type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/246>

2021-05-20 10:45:34 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	* validate/gst/validate/flow/formatting.h:
	* validate/tests/launcher_tests/simple_repeat/flow-expectations/log-sink-sink-expected:
	  validate:flow: Sort fields in serialized structures
	  Otherwise change in element implementations could lead to meaningless
	  breakages

2021-01-12 15:38:03 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Allow forcing running action on idle from scenario file
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/235>

2021-01-12 15:37:08 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tests/launcher_tests/run_command_with_envvars.validatetest:
	  validate:scenario: Add a `run-command` action type
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/235>

2021-01-12 15:36:05 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-monitor.c:
	  validate:monitor: Only get_name on GstObject
	  GObject don't have such method!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/235>

2021-04-29 10:09:05 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: add config file support
	  Each test can now use a config file for
	  the given media file used to test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/243>

2021-04-21 13:54:38 +0200  François Laignel <fengalin@free.fr>

	* validate/tests/check/validate/padmonitor.c:
	* validate/tests/check/validate/reporting.c:
	  Use gst_element_request_pad_simple...
	  Instead of the deprecated gst_element_get_request_pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/241>

2021-04-19 15:00:18 +0200  Edward Hervey <edward@centricular.com>

	* validate/data/scenarios/seek_forward.scenario:
	  scenario: Fix action variable name
	  This was always meant to be `on-message=eos` (like in fast_forward.scenario)
	  Fixes #58
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/240>

2021-03-19 17:16:33 +1100  Matthew Waters <matthew@centricular.com>

	* validate/tests/check/validate/test-utils.c:
	  gst: don't use volatile to mean atomic
	  volatile is not sufficient to provide atomic guarantees and real atomics
	  should be used instead.  GCC 11 has started warning about using volatile
	  with atomic operations.
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1719
	  Discovered in https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/868
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/238>

2021-02-26 15:32:29 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* validate/data/bash-completion/completions/gst-validate-1.0:
	  bash-completion: add gst-validate script
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/237>

2021-01-30 10:01:54 -0600  Brady J. Garvin <bgarvin@cse.unl.edu>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Ensure a positive job count.
	  The default number of jobs to use is half of the available cores
	  rounded down, but in situations where only one core is available (such
	  as under some VMs), this means that `gst-validate-launcher` defaults
	  to using zero jobs, a case that the test-running code is not prepared
	  to handle.
	  This change makes the code match the documentation for the `--jobs` option,
	  guards against negative values both in the default setting and in argument
	  parsing, and introduces some defensive programming to prevent other situations
	  where the code might try to use zero jobs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/154>

2021-01-08 08:38:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  pad-monitor: Plug a leak

2021-01-05 10:06:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Do not check strv length on NULL pointers
	  This is not legal
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/234>

2020-12-15 18:18:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	* validate/tests/launcher_tests/foreach.validatetest:
	* validate/tests/launcher_tests/foreach_deep.validatetest:
	  validate: Allow using the new nested structure syntax
	  And port the deeply nested tests we have
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 18:18:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Only consider the first pipeline when using test files
	  And port the deeply nested tests we have
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 18:18:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add missing GstValidateAction annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 18:15:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add an `expected-values` parameter to `wait, message-type=XX`
	  Allowing more precise filtering of the message we are waiting for.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 18:02:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Add a GstValidateScenario::action-done signal
	  Allowing application to know when a specific action is done.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 18:00:58 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Enhance printing action execution information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-15 17:58:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-bin-monitor.h:
	  validate: Add an API to get the bin monitor scenario
	  This is useful for applications that use Validate directly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-12-10 16:26:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Ensure that messages are handled from the right thread
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/233>

2020-11-29 10:05:36 +0000  Philippe Normand <philn@igalia.com>

	* debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in:
	  debug-viewer: Make appdata valid again
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/229>

2020-12-08 11:46:37 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Fix the refcount management for actions in structures
	  Handling the refcounting the same whether the action is blocking or not
	  as we were leaking a ref for non-blocking waits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/231>

2020-12-08 10:57:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Minor cleanup
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/231>

2020-12-08 10:55:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Use gst_validate_action_*ref everywhere.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/231>

2020-11-30 23:06:18 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add support to check properties of object properties
	  And recursively
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/231>

2020-11-06 12:43:57 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* validate/launcher/main.py:
	  validate: add sync-version
	  Be able by the command line to change the sync version
	  which is usually the GST_VALIDATE_TESTSUITE_VERSION
	  from the test suite
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/227>

2020-11-19 22:41:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Add a 'non-blocking' flag to the `wait` signal
	  This way we can execute actions that will lead to the signal
	  emission later in the execution.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/228>

2020-11-20 10:16:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Rename 'interlaced' action to 'non-blocking'
	  It is a better and more understandable naming.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/228>

2020-10-23 22:40:41 +0900  Seungha Yang <seungha@centricular.com>

	* validate/gst-libs/gst/video/meson.build:
	* validate/plugins/ssim/meson.build:
	* validate/tools/meson.build:
	  meson: Check cairo-png dependency
	  Should check whether libpng dependent methods are available or not
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-build/-/issues/128
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/225>

2020-11-04 18:49:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Enable some MSVC warnings for parity with GCC/Clang
	  This makes it easier to do development with MSVC by making it warn
	  on common issues that GCC/Clang error out for in our CI configuration.
	  Continuation from https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/223
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/226>

2020-10-16 12:49:02 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* meson.build:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	  meson: update glib minimum version to 2.56
	  In order to support the symbol g_enum_to_string in various
	  project using GStreamer ( gst-validate etc.), the glib minimum
	  version should be 2.56.0.
	  Remove compat code as glib requirement
	  is now > 2.56
	  Version used by Ubuntu 18.04 LTS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/224>

2020-03-22 09:51:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Bump hard timeouts for all transcodin tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-21 11:57:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  launcher: Avoid variable framerate when encoding to theora
	  It is not supported by theoraenc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-20 09:05:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Scale down even more to speed up encoding in VP9
	  From 3min to 50secs to execute here.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-19 18:48:08 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/tools/gst-validate-transcoding.c:
	* validate/tools/meson.build:
	  validate:transcoding: Port to GstTranscoder
	  Remove flag to force EOS on sigintr, making it the only choice
	  Also add support for variable framerate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-19 18:41:24 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/tests/check/validate/padmonitor.c:
	  validate: Use pad.last_flowret instead of trying to compute it ourselves
	  Which makes it more accurate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-19 18:26:58 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.c:
	  report: Add a way to force backtraces on reports
	  And stop report simple debug message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-03-17 12:19:46 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Add a way to define test timeout from dicts
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/172>

2020-08-06 08:00:53 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	* validate/meson.build:
	* validate/pkgconfig/gst-validate-uninstalled.pc.in:
	* validate/pkgconfig/gst-validate.pc.in:
	* validate/pkgconfig/meson.build:
	  Meson: Use pkg-config generator

2020-09-10 21:38:00 +0000  Jordan Petridis <jpetridis@gnome.org>

	* validate/data/gstvalidate.supp:
	  gstvalidate.supp: update location of gst.supp
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/221>

2020-05-12 09:26:40 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-launcher.md:
	  docs: Update gst-validate-launcher documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/193>

2020-09-08 17:30:56 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:59:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:10:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.18.0

2020-08-26 15:47:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  Revert "Revert "launcher: add webrtcbin datachannel tests to valgrind skip list""
	  This reverts commit ff79af843bc40a554795ee2a0682cfd12272dd24.
	  Looks like most of these are still problematic and flaky in valgrind,
	  so re-add to skiplist for now.
	  https://gitlab.freedesktop.org/thaytan/gst-plugins-base/-/jobs/4275045

2020-08-24 23:59:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  Revert "launcher: add webrtcbin datachannel tests to valgrind skip list"
	  This reverts commit 369c74941f1607b421bc2f16edcaea0b887926a9.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1383
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/220>

=== release 1.17.90 ===

2020-08-20 16:16:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.17.90

2020-08-13 21:55:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:check: Blacklist new ges valgrind test
	  I can't find what the issue is and the test is very long anyway
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/219>

2020-08-13 20:51:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	* validate/gst/validate/flow/gstvalidateflow.c:
	* validate/meson.build:
	  validate: flow: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/219>

2020-08-13 16:19:50 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/219>

2020-08-14 00:27:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  launcher: add webrtcbin datachannel tests to valgrind skip list
	  They were previously not run because the sctp plugin wasn't built
	  but they will be run now that we bundle libusrsctp.
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1465
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/218>

2020-07-25 21:12:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-element-monitor.h:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.h:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-runner.h:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/media-descriptor-parser.h:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/media-descriptor.h:
	  validate: silence g-ir-scanner warnings about GST_IS_VALIDATE_*
	  Which it complains about because we say our prefix is 'gst_validate'
	  so it should really be GST_VALIDATE_IS_* instead.
	  Hide the boilerplate defines from g-ir-scanner, it doesn't need
	  to process them.
	  Fixes #46
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/214>

2020-07-27 09:06:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	  Revert "validate: fix up gir namespace and symbol prefix"
	  This reverts commit b73e81614021a856fc7d3ff221a9bbf5ebf2ce6e.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/214>

2020-07-25 23:40:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/meson.build:
	  validate: fix up gir namespace and symbol prefix
	  Change gir namespace and symbol prefix from
	  GstValidate / gst_validate to Gst / gst, same
	  as we do for other libs like GstVideo etc.
	  Helps with warnings about GST_IS_VALIDATE_*
	  Fixes #46, Closes !214
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/215>

2020-07-25 13:57:01 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/media-descriptor-writer.c:
	  validate: Fix media descriptor mp3 like formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/216>

2020-07-25 20:27:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: reflow #ifdef to work around bogus g-ir-scanner warning
	  Looks like a scanner bug.
	  The endif comments are the wrong way round too, but that's not it.
	  gst-validate-scenario.c:126: mismatched #endif  /* G_HAVE_GNUC_VARARGS */
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/213>

2020-07-03 02:04:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:37:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.17.2

2020-06-18 12:46:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Always check if scenario is done from the right thread
	  Action will be set_done from the right thread and we will check if the action is done from there
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/212>

2020-06-16 15:34:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: Print errors on action failures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 17:32:13 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	  validate: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 16:17:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/tests/launcher_tests/simple_interlaced_action.validatetest:
	  validate: Move action finalization to _set_done where it belongs
	  gst_validate_action_set_done is the place where we should finalize the
	  action, not in `execute_next`, this way we better handle printing
	  interlaced action finalization too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 10:50:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/change_state_intensive.scenario:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/tests/launcher_tests/foreach.validatetest:
	* validate/tests/launcher_tests/foreach/flow-expectations/log-sink-sink-expected:
	* validate/tests/launcher_tests/foreach_deep.validatetest:
	* validate/tests/launcher_tests/foreach_repeat.validatetest:
	  validate:scenario: Replace the `sub-action` with a `foreach` action type
	  Sub-actions were really hard to use and conceptually weird. The
	  implementation was ugly and made the code complex for nothing.
	  Instead this commit introduces a `foreach` action type which allows
	  repeating actions passed in an `actions` array the number of time
	  specified by any `GstIntRange` value defined in the structure or its
	  `repeat` field.
	  This commit also makes sure that all action got through
	  gst_validate_action_set_done upon finalization.
	  + Cleanup surrounding code
	  + Add tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 09:17:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/tests/launcher_tests/simple_repeat.validatetest:
	* validate/tests/launcher_tests/simple_repeat/flow-expectations/log-sink-sink-expected:
	  validate: scenario: Implement 'repeat' by copying actions
	  Instead of trying to reuse the same action structure and deal with
	  that in a complex way, copy the action the required number of times.
	  And add a simple test
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 09:32:23 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Round results of expressions in a sensible way
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 10:54:20 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  launcher: Keep running tests forever on KNOWN_ERROR
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 09:37:21 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: Add private action type to check number of action type calls
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 09:14:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Avoid dereferencing NULL structure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-15 09:08:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	  validate: Fix marking expected issues as criticals
	  And never mark a repeat expected reports as repeated
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-12 10:08:25 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Add a way to use the expression parser in any field
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-12 10:05:57 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Allow variables to be set with other types than strings
	  And use value serialization from GStreamer to convert
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-12 09:58:24 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Add an action to remove a feature/plugin from the registry
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-10 17:18:49 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tests/launcher_tests/check_set_props_and_time_props.validatetest:
	  valiadate: Add a test for setting/checking (timed) properties
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-10 16:44:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add action to set and check several properties at once
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-10 15:39:12 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/meson.build:
	* validate/tools/meson.build:
	  validate: Add an action type to set timed value properties
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/207>

2020-06-19 10:26:17 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in:
	* debug-viewer/screenshots/gst-debug-viewer.png:
	  debug-viewer: Add screenshot
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/210>

2020-06-20 00:28:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:27:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* meson.build:
	  Release 1.17.1

2020-06-12 19:31:41 +0530  Vivek R <123vivekr@gmail.com>

	* validate/gst/validate/flow/formatting.c:
	  validate: flow: record GstRegionOfInterestMeta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/206>

2020-06-15 18:37:51 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate:launcher: Ensure that the main directory exists
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/issues/53 part 1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/209>

2020-06-15 18:06:33 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tests/check/meson.build:
	* validate/tests/launcher_tests/meson.build:
	* validate/tests/meson.build:
	  validate:tests: Cleanup the way set environment vars
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/209>

2020-06-15 17:56:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-launcher.in:
	  validate: Stop trying to support uninstalled autotools
	  Fix https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/issues/53 part 2
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/209>

2020-06-09 17:29:08 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	  validateflow: Plug leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/205>

2020-06-08 14:01:49 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Fix waiting for signal
	  The signal callback signature was just wrong and not generic leading to
	  crash if waiting for any signal that didn't match it. This commit fixes
	  it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/205>

2020-06-08 14:00:44 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Add an option to set properties on all instances
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/205>

2020-06-08 13:45:26 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	* validate/gst/validate/flow/formatting.h:
	* validate/gst/validate/flow/gstvalidateflow.c:
	  validate:flow: Add a way to dump buffer content as hex
	  Useful in unit tests with very small buffers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/205>

2020-06-02 19:10:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Cleanup implementation of appsrc-push
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/205>

2020-05-07 09:16:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate.c:
	  validate: Remove useless condition
	  CID 1462652
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/192>

2020-05-07 09:09:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate:ssim: Avoid dereferencing NULL pointer
	  CID 1462650
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/192>

2020-05-07 09:06:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate.c:
	  validate: Give a proper argv[0] when running test files
	  Fixes CID 1462613
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/192>

2020-05-07 09:05:06 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-transcoding.c:
	  validate:transcoding: Exit after printing the help
	  Fixes CID 1455575
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/192>

2020-05-07 08:49:34 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Ensure Scenario isn't NULL when preparing action
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/192>

2020-06-03 14:29:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/fakesrc.simple.validatetest:
	* docs/fakesrc.simple.validatetest.ini:
	* docs/fakesrc.simple/flow-expectations/log-sink-sink-expected:
	* docs/gst-validate-config.md:
	* docs/gst-validate-flow.md:
	* docs/gst-validate-test-file.md:
	* docs/plugins/validateflow.md:
	* docs/sitemap.txt:
	  validate: Update documentation now core plugins are integrated
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/204>

2020-06-03 10:55:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/flow/formatting.c:
	* validate/gst/validate/flow/formatting.h:
	* validate/gst/validate/flow/gstvalidateflow.c:
	* validate/gst/validate/flow/gstvalidateflow.h:
	* validate/gst/validate/flow/meson.build:
	* validate/gst/validate/gst-validate-extra-checks.c:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/meson.build:
	* validate/gst/validate/validate.c:
	* validate/plugins/extra_checks/meson.build:
	* validate/plugins/meson.build:
	  validate: Make extracheck and flow part of core instead plugins
	  It makes things more complex and doesn't bring anything!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/204>

2020-06-03 09:32:32 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  launcher: Limit copies of massive debug logs in markdown file
	  When debugging is activated, we could end up with log files ranging in the
	  multi-megabyte or even gigabyte range. Copying those is expensive from a cpu/io
	  point of view in addition to clobbering the storage.
	  Instead of always copying those files, check if they are smaller than 500kB. If
	  not, don't copy them and instead provide a link to their location.
	  Fixes #52
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/203>

2020-05-30 15:54:31 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Allow specifying checksum type
	  And add an extra mode 'checksum-as-id' which basically numerate
	  buffers checksums as they are being received so that it is simpler
	  to compare expectations when you are tracking buffers from both
	  sinkpads and srcpads.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/202>

2020-05-29 18:11:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	  validate: Add a parameter to force waiting on the test clock
	  This allows to wait for a new buffer to reach the sink without
	  actually cranking that buffer, allowing to quite the test without
	  waiting for EOS in a 100% reproducible way
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/201>

2020-05-29 18:11:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/validate.c:
	  validate: Error out when a config hasn't been used at all
	  It probably means a plugin is not available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/201>

2020-05-28 00:16:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-devtools.doap:
	* validate/AUTHORS:
	* validate/meson.build:
	  Ship validate as part of a gst-devtools tarball
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/199>

2020-05-27 20:59:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: make debug_viewer a feature option
	  ... and disable by default.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/199>

2020-05-28 17:04:20 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Fix mixup in quarks usages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/200>

2020-05-27 19:35:26 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Add missing return func when GLib < 2.50
	  CID 1463854
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/200>

2020-05-26 23:25:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* docs/gst-validate-test-file.md:
	* docs/plugins/validateflow.md:
	* validate/gst/validate/gst-validate-report.c:
	  validate: Update documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/200>

2020-05-05 18:09:08 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/fakesrc.simple.validatetest:
	* docs/plugins/fakesrc.simple.validatetest.yaml:
	* docs/plugins/fakesrc.simple/flow-expectations/log-sink-sink-expected:
	* docs/plugins/validateflow.md:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/validate.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Add a way to configure when to generate expectations
	  By default, generate them whenever the file is missing but adding a way
	  to override that with `validateflow,generate-expectations=true` to force
	  regenerating them or setting `validateflow,generate-expectations=false`
	  to disallow generating them (on CI servers for example)
	  Also update the validateflow documentation to take that into account
	  and remove references to pipeline.json file which is now gone!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/200>

2020-05-14 19:22:18 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Minor cleanup around pipeline change state management
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/198>

2020-05-14 18:45:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Mark seek as done only when reaching next state
	  There is a race where following actions could generate a
	  flush-start/flush-stop dance but the state change resulting from the
	  seek hasn't been committed yet, leading to the ASYNC_START being
	  ignored by GstBin since its pending_state is not VOID when receiving
	  the ASYNC_START message.
	  Conceptually it is totally correct to consider an action done when
	  the state change of the pipeline is stabilized..
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/198>

2020-05-26 15:55:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Stop wrongly erroring on testsuite loading failure
	  When the testsuite was actually already loaded as the .py
	  file was explicitly passed in
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-26 15:53:47 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Fix loading configs from a caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-23 00:38:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  flow: Use bat to color diffs when possible
	  Adding a function to check if can output colored logs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-15 11:27:12 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  launcher: check: Properly set PLUGIN_PATH and registry when running in gst-build
	  This makes registry
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-13 18:25:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	  launcher: Ensure that -j tests run in parallel when running forever
	  So that you can reproduce the issue you want faster!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-12 09:26:40 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-launcher.md:
	  docs: Update gst-validate-launcher documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-03-10 11:52:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	* validate/launcher/utils.py:
	  launcher: Add support for running tests inside rr
	  Allowing us to easily run the tests forever and then replay the
	  failures!
	  https://rr-project.org/
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/197>

2020-05-14 12:35:40 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: add missing gir annotation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/194>

2020-05-22 18:00:04 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Initialize variable correctly
	  ret needs to be always reset to FALSE *before* checking attempting to load the
	  individual files. Otherwise there's the possibility it would silently accept an
	  invalid scenario name
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/196>

2020-05-22 17:56:40 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Remove unused variable
	  We only need to check whether the field is present and of a given type
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/196>

2020-05-15 11:26:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Stop using g_file_peek_path
	  It was introduced in 2.56 so is too recent
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/issues/51
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/195>

2020-05-05 13:52:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/validate.c:
	* validate/tests/check/validate/utilities.c:
	  validate: Add including support in the structure file parser
	  Adding proper error reporting support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/191>

2020-05-08 17:35:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: utils: Do not try to replace vars in debug info fields
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/190>

2020-05-08 17:35:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Fix parsing validate tests files with vars on windows
	  And ensure that we escape windows path in variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/190>

2020-05-03 01:24:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher:check: Add support for gst-tester-1.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/189>

2020-05-07 00:23:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-test-file.md:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/validate.c:
	* validate/launcher/baseclasses.py:
	* validate/tests/launcher_tests/check_set_prop_never_called_error.validatetest:
	* validate/tests/launcher_tests/not_negotiated.accept_caps_failure.validatetest:
	* validate/tests/launcher_tests/test_validate.py:
	* validate/tools/gst-validate.c:
	  validate: Add support for known-issues in the .validatetest
	  And add some tests about remaining actions failures
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/189>

2020-05-06 22:36:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Ensure a meta structure is found in test files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/189>

2020-05-06 22:20:58 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Check remaining action on stop, not EOS
	  When ignoring EOS, on addition action could end up not being executed
	  and no error was reported which was wrong.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/189>

2020-05-04 17:59:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate: Fix rendering destination directory path creation
	  We were ending up creating file:/some/path in cwd
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/187>

2020-05-04 16:59:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	* validate/launcher/baseclasses.py:
	* validate/tools/gst-validate.c:
	  validate: Plug some leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/187>

2020-05-03 01:22:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-runner.c:
	  validate: Add details on all g_log message reports.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/187>

2020-05-03 01:20:19 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-config.md:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/launcher/baseclasses.py:
	* validate/launcher/reporters.py:
	* validate/tools/gst-validate-rtsp-server.c:
	* validate/tools/gst-validate.c:
	  validate: Add a mechanism to mark tests as skipped
	  And use it when a plugin is missing and the user didn't ask for
	  failure when it happens
	  And use the TAP[0] synthax to report it
	  [0]: https://testanything.org
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/187>

2020-05-03 00:54:56 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-media-info.c:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/validate.c:
	* validate/plugins/extra_checks/gstvalidateextrachecks.c:
	* validate/plugins/flow/gstvalidateflow.c:
	* validate/tools/gst-validate-images-check.c:
	* validate/tools/gst-validate-media-check.c:
	* validate/tools/gst-validate-rtsp-server.c:
	* validate/tools/gst-validate-transcoding.c:
	* validate/tools/gst-validate.c:
	  validate: Enhance issue reporting from structures
	  And properly bail out when required
	  This is preparatory work for gst-test in core which will use the TAP
	  protocol
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/187>

2020-05-05 22:57:08 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/flow/formatting.c:
	  validate:flow: Handle some more segment fields filtering
	  Those slept through when implementing filtering
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/188>

2020-04-09 16:04:53 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  ssim: Minor improvements on the way we attach to pads
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2018-06-05 17:56:36 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Refactor seek handling
	  * Store all seek values into a list of pending seeks instead
	  of hardcoding some values
	  * Store all segments that sinks received
	  * Match segments to seeks when all sinks received segments with
	  the same seqnum
	  * Detect when a seek did *not* result in segments with identical
	  matching seqnums
	  Should allow checking for all types of seek handling, including
	  flush-less seeks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2018-06-15 10:52:46 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	  validate-report: Add new check for top-level seek
	  This issue is to detect seeks that don't result in segments
	  with identical seqnums. This check can be done at the top-level
	  scenario
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2018-06-05 17:55:29 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate-pad-monitor: Post GstBaseSink SEGMENT on the bus
	  Allows higher-level bin or app (like validate-scenario) to know
	  what each sink currently has in terms of SEGMENT.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2018-06-05 17:53:51 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.h:
	  validate-element-monitor: Detect basesink elements
	  And add a macro
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2018-06-05 17:51:44 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Add logging for scenario lock taking/releasing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2020-04-30 12:39:44 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	  pad-monitor: Reliably track pending seeks
	  Instead of overriding all values when receiving a seek, store
	  them as a list of expected values.
	  This allows handling several seeks in a row, like non-flushing
	  seeks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/174>

2020-04-28 23:06:24 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-config.md:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/validate.c:
	  validate: Allow overidding issue severity from configs
	  Refactoring sensibly to allow getting configs outside the `core` namespace
	  and outside plugin names.
	  The `GST_VALIDATE_OVERRIDE` env variable should probably be removed
	  all together at some point.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/185>

2020-04-28 23:26:13 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/tools/gst-validate.c:
	  validate: Add an option to describe issue types
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/185>

2020-04-28 12:51:21 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/plugins/flow/gstvalidateflow.c:
	* validate/tools/gst-validate.c:
	  validate: Show the exact file line when error out in structure files
	  And minor stdout enhancements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/185>

2020-04-28 21:30:29 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:launcher: Mark some more tests as too long for valgrind

2020-04-27 21:46:02 +0000  Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>

	* debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in:
	  Apply suggestion to debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/155>

2020-01-23 15:53:03 +0000  Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>

	* debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in:
	  Metainfo: backport flathub fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/155>

2020-03-19 18:25:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate: Do not check pulling thread when thread is paused
	  With decodebin3 we have cases where a task has been started in
	  the `typefind` element but the demuxer is the one pulling (from
	  its own thread)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/183>

2020-04-24 23:33:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add a check-position action type
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/182>

2020-04-24 23:32:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Enhance failures messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/182>

2020-04-13 16:23:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-test-file.md:
	* meson.build:
	* meson_options.txt:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/meson.build:
	  validate: Add a way to run a TestClock in scenarios
	  A TestClock will be used automatically when a scenario has a
	  `crank-clock` action.
	  And make `validate` and `debug-viewer` options features in meson,
	  no reason they weren't and now we require gst-check to build validate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/182>

2020-04-24 15:41:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-scenarios.md:
	* docs/gst-validate-test-file.md:
	* docs/sitemap.txt:
	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/validate.c:
	* validate/gst/validate/validate.h:
	* validate/launcher/apps/gstvalidate.py:
	* validate/tools/gst-validate.c:
	  validate: Introduce the concept of "Test files"
	  This way we can have a single file that wraps scenarios,
	  `gst-validate-1.0` arguments, as well as a configuration.
	  It changes the name of `description` of scenarios to use `meta`
	  The goal is to replace tests describes in python with dictionary
	  to fully self contained `.validatetest` files which look like:
	  ```
	  meta,
	  handles-states=true,
	  ignore-eos=true,
	  gst-validate-args = {
	  "videotestsrc pattern=blue ! video/x-raw,format=I420,framerate=1/1 ! timeoverlay ! $(videosink) name=videosink allocation-meta-flags=0",
	  },
	  configs = {
	  "$(validateflow), pad=videosink:sink, buffers-checksum=true, ignored-fields={\"buffers=meta\", }",
	  }
	  play
	  seek, start=0.0, stop=5.0, flags=accurate+flush, rate=1.0
	  crank-clock, expected-elapsed-time=0.0
	  crank-clock, repeat=4, expected-elapsed-time=1.0
	  crank-clock, expected-elapsed-time=1.0
	  stop, on-message=eos
	  ```

2020-04-23 20:11:14 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validate:flow: Sensibly improve stdout

2020-04-23 20:10:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Fix criticals around NULL structure usage

2020-04-23 20:09:53 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Fix 'repeat' parameter on non ASYNC action types

2020-04-22 21:13:06 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Do not consider action with 'on-message' as on addition

2020-04-09 16:01:25 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: report: Handle when reporting NULL action
	  And add information about the action repeat state.

2020-04-22 13:02:29 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Handle comments in multiline expressions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/179>

2020-04-22 11:27:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/tests/check/meson.build:
	* validate/tests/check/validate/utilities.c:
	  validate: Fix multi variable in a single structure field
	  We were keeping using the GMatchInfo even after modifying the string
	  which is explicitly stated as invalid in the GRegex documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/179>

2020-04-21 15:48:20 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Fix 'on-message' actions execution
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/177>

2020-04-21 15:28:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Add { and [ as line continuation markers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-devtools/-/merge_requests/177>

2020-04-13 15:38:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/launcher/main.py:
	  validate-launcher: Fix syntax error
	  This error prevents downloading assets from scratch. This regression was
	  introduced by MR !145 / commit 2581fef6843bfb53f3fc6f629577c1f013ef84e7

2020-04-07 18:33:08 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/gst/validate/gst-validate-utils.c:
	  utils: Fix double free in error case
	  This was detected by Coverity. The content point would have been freed gain in
	  the done: label.
	  CID 1461289

2020-03-23 21:28:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: Use gst_print for validate report messages

2020-03-17 11:51:32 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* .gitlab-ci.yml:
	  ci: Port from only: to rules
	  This fixed CI breakage introduced by gst-ci!247

2020-03-10 11:50:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/gstvalidate.supp:
	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/plugins/flow/gstvalidateflow.c:
	  validate: Plug some leaks
	  And add some valgrind suppression for fontconfig

2020-03-04 11:07:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/ssim.md:
	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst-libs/gst/video/gstvalidatessim.h:
	* validate/plugins/ssim/gstvalidatessim.c:
	* validate/tools/gst-validate-images-check.c:
	  validate:ssim: Allow specifying file framerate to use frame numbers during comparison

2020-03-03 21:36:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Make the action->prepare function return a GstValidateExecuteActionReturn
	  Implementers might want to report the error themselves

2020-02-28 13:51:58 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Add a way to check last frame number
	  This introduces a new 'timecode-frame-number' in the 'check-last-sample'
	  action type se we can verify the number of output frames.

2020-02-20 08:52:38 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Enhance debug message on invalid expression function call

2020-02-04 18:13:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate:utils: Allow plain string in `gst_validate_utils_get_strv`

2020-02-10 14:55:18 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst-libs/gst/video/gstvalidatessim.h:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validatessim: Avoid having ':' in file names
	  This is unsupported on windows

2020-02-03 16:23:37 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate:ssim: Flush cairo surface before getting pixels

2020-02-03 11:14:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Fix reporting on failure when running forever/fatal

2020-01-14 10:26:54 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate:ssim: Enhance printing position
	  Adding a new `gst_validate_print_position` method which also
	  sends messages to the runner if required.

2020-01-08 15:26:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: Add a generator to generate test for frame accurate seeking

2020-01-08 15:21:11 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate:ssim: Use stream time to reference frames

2020-01-08 15:18:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate:ssim: Don't check neighbor frames when comparing exact same frame

2020-01-08 15:14:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate:ssim: Enhance debugging message when similarity do not match
	  Printing out where the diff image file is

2020-01-07 15:48:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Enhance support for running ssim tests
	  Using a special 'ssim' variable in pipeline dicts to activate it
	  Similare to what we do for validateflow

2020-01-07 15:46:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Add support for skipped media info files
	  Those are skipped to generate tests by default but are updated when
	  required, this will allow us to generate specific test on demand for
	  those

2020-01-06 16:29:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate:ssim: Avoid segfaults trying to attach pads without a template

2020-01-06 16:26:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate:scenario:Handle GStreamer serialized timestamps

2020-02-17 10:32:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Never try to load a testsuite with the same name from different locations

2020-02-13 10:41:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-media-check.c:
	  validate:media-check: Fix wrong exit code
	  There are code paths where the runner doesn't contain any issue but an error has already been reported

2020-02-11 16:01:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/media-descriptor.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: Add support for the imagesequence protocol

2020-02-03 11:14:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix reporting on failure when running forever/fatal

2020-01-08 09:54:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Cache GstValidateMediaDescriptor to avoid reparsing .media_info
	  Saving another second at startup

2020-01-08 09:23:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-launcher.in:
	  validate:launcher: Generate profiling data even if an exception happens

2020-01-07 19:29:05 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Batch inspecting scenarios
	  Removing almost 1 second to start running tests with the default
	  testsuite

2020-01-06 16:27:59 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix printed test number

2020-01-06 16:27:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Allow passing configs paths when loading from dictionary
	  The same way we allow it for scenarios

2020-03-02 12:55:18 +0000  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/columns.py:
	  debug-viewer: Display nanoseconds in the timestamp column

2020-02-27 16:33:36 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/plugins/flow/formatting.c:
	  validate: Don't use sprintf + glib format modifiers
	  We do not have a way to know the format modifiers to use with string
	  functions provided by the system. `G_GUINT64_FORMAT` and other string
	  modifiers only work for glib string formatting functions. We cannot
	  use them for string functions provided by the stdlib. See:
	  https://developer.gnome.org/glib/stable/glib-Basic-Types.html#glib-Basic-Types.description
	  ```
	  ../validate/plugins/flow/formatting.c: In function 'format_number':
	  ../validate/plugins/flow/formatting.c:68:22: error: unknown conversion type character 'l' in format [-Werror=format=]
	  sprintf (dest_str, "%" G_GUINT64_FORMAT, number);
	  ^~~
	  In file included from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib/gtypes.h:32,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib/galloca.h:32,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib.h:30,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/gstreamer-1.0/gst/gst.h:27,
	  from ../validate/plugins/flow/formatting.h:26,
	  from ../validate/plugins/flow/formatting.c:30:
	  /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/lib/glib-2.0/include/glibconfig.h:69:28: note: format string is defined here
	  #define G_GUINT64_FORMAT "llu"
	  ^
	  ../validate/plugins/flow/formatting.c:68:22: error: too many arguments for format [-Werror=format-extra-args]
	  sprintf (dest_str, "%" G_GUINT64_FORMAT, number);
	  ^~~
	  ../validate/plugins/flow/formatting.c:68:22: error: unknown conversion type character 'l' in format [-Werror=format=]
	  In file included from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib/gtypes.h:32,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib/galloca.h:32,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/glib-2.0/glib.h:30,
	  from /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/include/gstreamer-1.0/gst/gst.h:27,
	  from ../validate/plugins/flow/formatting.h:26,
	  from ../validate/plugins/flow/formatting.c:30:
	  /builds/nirbheek/cerbero/cerbero-build/dist/windows_x86_64/lib/glib-2.0/include/glibconfig.h:69:28: note: format string is defined here
	  #define G_GUINT64_FORMAT "llu"
	  ^
	  ../validate/plugins/flow/formatting.c:68:22: error: too many arguments for format [-Werror=format-extra-args]
	  sprintf (dest_str, "%" G_GUINT64_FORMAT, number);
	  ^~~
	  ```
	  Needed for https://gitlab.freedesktop.org/gstreamer/cerbero/merge_requests/419

2020-02-26 14:21:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/meson.build:
	* validate/meson.build:
	* validate/win32/common/libgstvalidate.def:
	  meson: remove vs_module_defs
	  The GST_EXPORT should handle it.

2020-02-26 12:05:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  launcher: Do not dump output on known issues
	  And remove dead code

2020-02-26 10:52:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Fix leak parsing structure files

2020-02-25 11:00:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/gst-validate-utils.c:
	  validate: Enhance error reporting for errors in struct files
	  Get a sense of files and line numbers in the parsed GstStructure
	  and take that information when reporting GstValidateAction errors
	  by letting the user know where the action comes from in the messages.
	  And accept non-literal string in printing formats.

2020-02-25 10:54:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	  validate: Add a specific error type for check actions
	  And mark it as `NO_BACKTRACE | FULL_DETAILS`, same as for
	  other action failure types.

2020-01-16 17:36:54 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/launcher/baseclasses.py:
	  validate: Enhance error reporting when scenario or configs are invalid

2020-01-14 10:23:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/win32/common/libgstvalidate.def:
	  validate: Add a flags to issues
	  Currently those allow registering issue that:
	  - Won't print backtrace as it is sometimes useless info
	  - Will repeat the details even in smart mode

2020-02-19 22:16:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate: Consider ',' as continuing line marker in struct files
	  Since `,` is the separator between fields of GstStructure we can
	  safely consider that if a line ends with it, the following line
	  is the logical continuity of the serialized GstStructure.
	  This makes writing those files more convenient and reading them
	  more pleasant as we do not need to add extra `\` at end of lines
	  anymore

2020-02-11 09:18:23 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle validate report bigger than allowed by the socket
	  This almost never happens but I had a case where we had a report
	  with a GstSample in the caps that were reported leading to an
	  error printed.

2020-02-06 10:34:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Reference exception in a var as we use it in the handling

2020-02-04 18:14:25 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validate:flow: Make field filtering in what is logged more generic
	  Instead of forcing it on event, allow specifying filters on anything
	  we log, meaning also buffers

2020-02-04 16:59:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Add a logged-event-fields configuration

2020-02-11 15:57:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Stop rounding up clocktime values
	  This doesn't make any sense in that context

2020-02-06 14:33:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Fix defining several scenario with a same config
	  When generating tests from dictionary the dict format allows passing
	  several scenario for a same config and pipelines, but this was breaking
	  the case where expected flow is different with each config, instead we
	  should generate one config per scenario, fixing the expectation files
	  generated.

2020-01-15 21:22:49 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Print the duration of the test run in the logs

2020-01-15 21:15:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	  validate:flow: Add a way to set the types of events to log/ignore
	  Added two properties to the plugin:
	  * ignored-event-types: A list of event types to be ignored when logging events
	  * logged-event-types: A list of event types to be logged when logging events
	  This commits also moves the "ignored-event-fields" property to using a proper
	  GstValueList for the list of event fields to be taken into account, instead
	  of the home grown separated by comas list of string, making the API more
	  uniform.
	  This also adds a simple helper method: `gst_validate_utils_get_strv`

2019-12-03 18:26:18 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/reporters.py:
	  gst-validate-launcher: separate known error from passed tests
	  Introduce known_error in statistics to keep in mind the expected
	  error result.

2019-12-02 14:46:59 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* docs/gst-validate-launcher.md:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/main.py:
	  gst-validate-launcher: update documentation
	  Use the new api to create your custom testsuite.
	  Fix some broken links and enhance the logging system.

2020-01-11 23:00:06 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  launcher: Allow partionning the tests
	  This introduce new command line options, --parts and --part-index. When
	  --parts is set to a value larger then 1, the tests will be split in the
	  same number of group. The group number identified by --part-index will
	  be executed.
	  This is being added in orther to support gliblab CI parallel feature.

2019-08-12 16:56:41 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Try to dump logs with bat if avalaible
	  We got to many issues with mdv, it seems not to be maintained
	  bat is a very good replacement.

2020-01-05 14:09:07 -0600  Brady J. Garvin <bgarvin@cse.unl.edu>

	* validate/launcher/loggable.py:
	  validate:launcher: Support mixed str/bytes control sequences.
	  It is not safe for `_preformat_levels` to assume that all of the fields in a
	  `TerminalController` have the same type; at least in my environment, some of
	  these fields are populated with `bytes` while others remain strings.
	  This change conditionally applies decoding to each control sequence separately
	  using a helper function `_as_string`.  As a side-effect, it also eliminates some
	  code repetition in `_preformat_levels`.
	  Closes #50.

2019-12-30 12:57:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Enhance progress reporting using a progress bar
	  This also allows us to properly report progress on the CI

2019-12-30 10:27:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Take our timeout factor into account for gstcheck

2019-11-07 15:57:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: fix some typos

2019-11-07 15:55:17 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Implement an action to check property value

2019-12-28 22:39:23 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* meson_options.txt:
	  meson: Remove unused gtk_doc option
	  The "doc" option is available to disable the documentation.

2019-12-23 10:27:11 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/testsuites/check.py:
	  check: unblacklist removed systemclock tests
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/merge_requests/348

2019-12-14 10:45:30 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/testsuites/check.py:
	  check: unblacklist gstreamer.pipelines_parse_launch.delayed_link
	  It should not be flaky anymore after
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/merge_requests/343

2019-11-15 17:25:11 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Use python dict for pipeline description

2019-11-27 15:33:14 +0100  Edward Hervey <bilboed@bilboed.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Initialize variable
	  We could end up using it uninitialized
	  CID: 1444920

2019-10-04 09:59:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: launcher: Make encoding extra check use common code path
	  Reusing the reporting infrastructure instead of shurtcuting it

2019-09-24 14:23:49 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate: Add vp9 transcoding tests
	  Making sure to encode small frames as vp9enc is slow.

2019-11-20 10:19:00 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/validate.c:
	* validate/plugins/flow/formatting.c:
	* validate/tests/check/validate/scenario.c:
	  validate: Fix memory leaks
	  Various structures were being leaked.

2019-11-11 18:57:27 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Avoid clashes when importing testsuite
	  This introduce an hard dependency on python >= 3.5, same as meson

2019-11-10 16:29:45 +0100  Jordan Petridis <jpetridis@gnome.org>

	* validate/launcher/testsuites/check.py:
	  check: blacklist gst-plugins-good.elements_splitmux.test_splitmuxsink$
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/issues/626

2019-11-06 18:21:11 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* validate/launcher/apps/gstvalidate.py:
	  gstvalidate: fix GstValidateRTSPMediaDescriptor typo

2019-11-02 17:07:02 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-bin-monitor.h:
	  gst-validate-bin-monitor: Remove unused field.

2019-10-25 12:45:40 +0200  Alicia Boya García <ntrrgc@gmail.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Don't use colon in file names
	  The colon character commonly used to separate the element name and the
	  pad name is reserved in Windows filesystems, so it's better to use
	  something safer.
	  This patch replaces it with '-'. Please update
	  gst-integration-testsuites too where another commit has renamed all the
	  files.

2019-10-25 12:26:58 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate: blacklist gstreamer-vaapi checks
	  They still can be checked by running the tests explicitly.

2019-10-18 12:31:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: build gir even when cross-compiling if introspection was enabled explicitly
	  This can be made to work in certain circumstances when
	  cross-compiling, so default to not building g-i stuff
	  when cross-compiling, but allow it if introspection was
	  enabled explicitly via -Dintrospection=enabled.
	  See gstreamer/gstreamer#454 and gstreamer/gstreamer#381.

2019-10-15 00:24:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* .gitmodules:
	* configure:
	* validate/.gitignore:
	* validate/Makefile.am:
	* validate/README:
	* validate/autogen.sh:
	* validate/common:
	* validate/configure.ac:
	* validate/data/Makefile.am:
	* validate/data/scenarios/Makefile.am:
	* validate/docs/.gitignore:
	* validate/gst-libs/Makefile.am:
	* validate/gst-libs/gst/Makefile.am:
	* validate/gst-libs/gst/video/Makefile.am:
	* validate/gst/Makefile.am:
	* validate/gst/overrides/Makefile.am:
	* validate/gst/validate/Makefile.am:
	* validate/launcher/Makefile.am:
	* validate/launcher/apps/Makefile.am:
	* validate/launcher/testsuites/Makefile.am:
	* validate/pkgconfig/Makefile.am:
	* validate/plugins/Makefile.am:
	* validate/plugins/fault_injection/Makefile.am:
	* validate/plugins/flow/Makefile.am:
	* validate/plugins/gapplication/Makefile.am:
	* validate/plugins/gtk/Makefile.am:
	* validate/plugins/ssim/Makefile.am:
	* validate/po/Makevars:
	* validate/po/POTFILES.in:
	* validate/tests/Makefile.am:
	* validate/tests/check/Makefile.am:
	* validate/tools/.gitignore:
	* validate/tools/Makefile.am:
	* validate/win32/MANIFEST:
	  validate: remove autotools build

2019-10-15 00:11:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* codecanalyzer/.gitignore:
	* codecanalyzer/AUTHORS:
	* codecanalyzer/COPYING:
	* codecanalyzer/Makefile.am:
	* codecanalyzer/NEWS:
	* codecanalyzer/README.md:
	* codecanalyzer/autogen.sh:
	* codecanalyzer/configure.ac:
	* codecanalyzer/data/Makefile.am:
	* codecanalyzer/data/pixmaps/Makefile.am:
	* codecanalyzer/data/pixmaps/codecanalyzer-logo.png:
	* codecanalyzer/data/pixmaps/frame-thumbnail.png:
	* codecanalyzer/data/ui/LICENSE.txt:
	* codecanalyzer/data/ui/Makefile.am:
	* codecanalyzer/data/ui/mainwindow.xml:
	* codecanalyzer/data/ui/menu.xml:
	* codecanalyzer/src/Makefile.am:
	* codecanalyzer/src/codecanalyzer.c:
	* codecanalyzer/src/gst_analyzer.c:
	* codecanalyzer/src/gst_analyzer.h:
	* codecanalyzer/src/plugins/Makefile.am:
	* codecanalyzer/src/plugins/gst/Makefile.am:
	* codecanalyzer/src/plugins/gst/analyzersink/Makefile.am:
	* codecanalyzer/src/plugins/gst/analyzersink/analyzer_utils.c:
	* codecanalyzer/src/plugins/gst/analyzersink/analyzer_utils.h:
	* codecanalyzer/src/plugins/gst/analyzersink/gstanalyzersink.c:
	* codecanalyzer/src/plugins/gst/analyzersink/gstanalyzersink.h:
	* codecanalyzer/src/plugins/gst/analyzersink/mpeg_xml.c:
	* codecanalyzer/src/plugins/gst/analyzersink/mpeg_xml.h:
	* codecanalyzer/src/plugins/gst/analyzersink/plugin.c:
	* codecanalyzer/src/plugins/gst/analyzersink/xml_utils.c:
	* codecanalyzer/src/plugins/gst/analyzersink/xml_utils.h:
	* codecanalyzer/src/xml_parse.c:
	* codecanalyzer/src/xml_parse.h:
	  codecanalyzer: remove
	  Remove in effort to declutter. There has been
	  pretty much no activity at all since the initial
	  commit in 2014 apart from a few coverity fixes.
	  Doesn't seem super-useful in its current form
	  either. Still available on github at
	  https://github.com/sreerenjb/codecanalyzer/
	  if anyone has a use for it.

2019-10-14 19:28:08 +0100  Tim-Philipp Müller <tim@centricular.com>

	* mediainfo/AUTHORS:
	* mediainfo/COPYING:
	* mediainfo/ChangeLog:
	* mediainfo/HACKING:
	* mediainfo/Makefile.am:
	* mediainfo/NEWS:
	* mediainfo/README:
	* mediainfo/TODO:
	* mediainfo/autogen.sh:
	* mediainfo/configure.ac:
	* mediainfo/git.mk:
	* mediainfo/gst-mediainfo.anjuta:
	* mediainfo/po/LINGUAS:
	* mediainfo/po/POTFILES.in:
	* mediainfo/po/POTFILES.skip:
	* mediainfo/src/Makefile.am:
	* mediainfo/src/gst-mi.desktop.in:
	* mediainfo/src/gst-mi.png:
	* mediainfo/src/gst-mi.svg:
	* mediainfo/src/mi-app.vala:
	* mediainfo/src/mi-info.vala:
	* mediainfo/src/mi-preview.vala:
	* mediainfo/src/mi.vala:
	* mediainfo/vapi/Makefile.am:
	* mediainfo/vapi/config.vapi:
	  mediainfo: remove
	  This looks bitrotten and abandoned,
	  remove in an effort to declutter.

2019-10-14 19:25:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* vagrant/Vagrantfile:
	* vagrant/ansible_hosts:
	* vagrant/gst-streaming-server-git.yml:
	* vagrant/gstreamer-git.yml:
	* vagrant/gstreamer.yml:
	* vagrant/ipython.yml:
	* vagrant/playbook.yml:
	  vagrant: remove
	  This looks bitrotten and still targets Ubuntu 13.10
	  and autotools. Doesn't look like anyone has been using
	  this in the last 5+ years, so let's remove it in an
	  effort to declutter.

2019-07-15 17:58:05 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix the 'can-happen-several-times' known issue field

2019-07-15 12:36:23 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	  validate: Check that pull_range is called from the streaming thread
	  `gst_pad_pull_range` should always be called from the streaming thread,
	  we now check that when pull_range is called, and if the sinkpad calling
	  the function has a GstTask with a running thread, the function is called
	  from that thread.

2019-09-27 16:52:51 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scanario: Fix crash when using installed validate
	  When installed, the lookup path will endup on the very last try, but the
	  scenario_file was left unset, which lead to a crash.

2019-09-24 11:45:34 +1000  Matthew Waters <matthew@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: fix build with newer gcc
	  In file included from ../../../../dist/linux_x86_64/include/gstreamer-1.0/gst/gst.h:55,
	  from ../validate/gst/validate/gst-validate-scenario.c:45:
	  ../validate/gst/validate/gst-validate-scenario.c: In function ‘gst_validate_scenario_load’:
	  ../../../../dist/linux_x86_64/include/gstreamer-1.0/gst/gstinfo.h:645:5: error: ‘%s’ directive argument is null [-Werror=format-overflow=]
	  645 |     gst_debug_log ((cat), (level), __FILE__, GST_FUNCTION, __LINE__, \
	  |     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  646 |         (GObject *) (object), __VA_ARGS__);    \
	  |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  ../../../../dist/linux_x86_64/include/gstreamer-1.0/gst/gstinfo.h:1067:26: note: in expansion of macro ‘GST_CAT_LEVEL_LOG’
	  1067 | #define GST_ERROR(...)   GST_CAT_LEVEL_LOG (GST_CAT_DEFAULT, GST_LEVEL_ERROR,   NULL, __VA_ARGS__)
	  |                          ^~~~~~~~~~~~~~~~~
	  ../validate/gst/validate/gst-validate-scenario.c:3615:5: note: in expansion of macro ‘GST_ERROR’
	  3615 |     GST_ERROR ("Invalid name for scenario '%s'", scenario_name);
	  |     ^~~~~~~~~
	  ../validate/gst/validate/gst-validate-scenario.c:3615:44: note: format string is defined here
	  3615 |     GST_ERROR ("Invalid name for scenario '%s'", scenario_name);
	  |                                            ^~

2019-08-24 07:57:23 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not hardcode pathsep

2019-08-28 17:22:55 +1000  Matthew Waters <matthew@centricular.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validate/flow: fix werror build with android clang
	  ../validate/plugins/flow/gstvalidateflow.c:75:3: error: redefinition of typedef 'ValidateFlowOverride' is a C11 feature [-Werror,-Wtypedef-redefinition]
	  } ValidateFlowOverride;
	  ^
	  ../validate/plugins/flow/gstvalidateflow.h:31:23: note: previous definition is here
	  G_DECLARE_FINAL_TYPE (ValidateFlowOverride, validate_flow_override,
	  ^

2019-08-26 21:43:24 +1000  Matthew Waters <matthew@centricular.com>

	* validate/plugins/flow/gstvalidateflow.c:
	* validate/plugins/flow/gstvalidateflow.h:
	  validate: fix -Werror=unused-function with clang
	  [3623/4053] Compiling C object 'subprojects/gst-devtools/validate/plugins/flow/697521d@@gstvalidateflow@sha/gstvalidateflow.c.o'.
	  ../subprojects/gst-devtools/validate/plugins/flow/gstvalidateflow.c:85:1: warning: unused function 'VALIDATE_IS_FLOW_OVERRIDE' [-Wunused-function]
	  G_DECLARE_FINAL_TYPE (ValidateFlowOverride, validate_flow_override,
	  ^
	  /usr/include/glib-2.0/gobject/gtype.h:1407:26: note: expanded from macro 'G_DECLARE_FINAL_TYPE'
	  static inline gboolean MODULE##_IS_##OBJ_NAME (gpointer ptr) {                                         \
	  ^
	  <scratch space>:129:1: note: expanded from here
	  VALIDATE_IS_FLOW_OVERRIDE
	  ^

2019-08-26 21:41:00 +1000  Matthew Waters <matthew@centricular.com>

	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validate: fix -Werror=format-nonliteral build with clang
	  [3470/4053] Compiling C object 'subprojects/gst-devtools/validate/gst/validate/28db7b6@@gstvalidatetracer@sha/gst-validate-reporter.c.o'.
	  ../subprojects/gst-devtools/validate/gst/validate/gst-validate-reporter.c:186:31: warning: format string is not a string literal [-Wformat-nonliteral]
	  message = g_strdup_vprintf (format, vacopy);
	  ^~~~~~
	  [3487/4053] Compiling C object 'subprojects/gst-devtools/validate/gst/validate/28db7b6@@gstvalidatetracer@sha/gst-validate-report.c.o'.
	  ../subprojects/gst-devtools/validate/gst/validate/gst-validate-report.c:1007:34: warning: format string is not a string literal [-Wformat-nonliteral]
	  tmp = gst_info_strdup_vprintf (format, args);
	  ^~~~~~
	  [76/151] Compiling C object 'subprojects/gst-devtools/validate/plugins/flow/697521d@@gstvalidateflow@sha/gstvalidateflow.c.o'.
	  ../subprojects/gst-devtools/validate/plugins/flow/gstvalidateflow.c:125:65: warning: format string is not a string literal [-Wformat-nonliteral]
	  if (!flow->error_writing_file && vfprintf (flow->output_file, format, ap) < 0) {
	  ^~~~~~

2019-08-19 12:25:39 +0100  Philippe Normand <philn@igalia.com>

	* validate/data/scenarios/meson.build:
	* validate/data/scenarios/play_5s.scenario:
	  validate: Add a scenario for 5 seconds playback use-cases

2019-08-19 11:08:41 +0100  Philippe Normand <philn@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate/ssim: Clean-up temporary directory
	  When no output-dir is specified in the plugin config, a temporary directory is
	  created, so it needs to be removed when no-longer needed.

2019-08-19 11:25:45 +0100  Philippe Normand <philn@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate/launcher: Ensure the HTTP server is started when a pipeline needs it
	  Pipelines declared in gst-integration-testsuites can rely on the validate HTTP
	  server, so when an URI pointing to it is detected, advertise the server as
	  needed before starting the test.
	  For this to work the test scenario should explicitely declare the pipeline uri,
	  as shown in this example:
	  "some_playbin3":
	  {
	  "pipeline": "playbin3 uri=%(uri)s video-sink=%(videosink)s",
	  "config": [
	  "%(validateflow)s, pad=sink:sink"
	  ],
	  "scenarios": ["play_15s"],
	  "uri": "http://127.0.0.1:%(http-server-port)s/defaults/html/foo.html"
	  }

2019-08-05 19:04:54 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Allow passing any extra_data in json test definition
	  This means that we can now pass any extra key that `populate_tests`
	  expects, meaning any key expected by FakeMediaDescriptor and
	  a few other keys supported by the methods such as
	  `expected-issues` and `extra_env_vars`

2019-07-10 16:52:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  launcher: Raise an exception when provided scenario can't be found

2019-08-03 20:09:32 -0400  Aaron Boxer <aaron.boxer@collabora.com>

	* validate/gst/validate/validate.h:
	  validate: add missing G_BEGIN/END_DECLS in validate.h

2019-08-01 21:04:12 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Update blacklisting reason for fast forward rtsp
	  While https://gitlab.freedesktop.org/gstreamer/gst-rtsp-server/issues/14
	  was merged, the client side (in particular rtpbasedepayload) still
	  isn't expected to work appropriately

2019-07-29 10:05:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: fix build with older GLib versions
	  g_enum_to_string() is only available in newer ones.
	  Add compatibility workaround for the time being to decouple
	  this from the decision whether to bump the GLib requirement
	  and what to bump it to.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/merge_requests/199
	  Fixes #45

2019-07-26 02:28:42 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: fix PAUSED position check
	  The way this was implemented was simply wrong, first of all checking
	  the position against the segment after a seek in PAUSED by a query
	  of the pipeline position is of limited interest, and can only work
	  in forward playback.
	  Furthermore the check was a huge blob of code that didn't even look
	  like it was pretending to do a good job at checking the position in
	  reverse playback.

2019-07-26 02:26:20 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  json tests: assume all user pipelines can seek reverse
	  When doing a targeted test, it is up to the user to make sure
	  their pipeline + scenario behaves correctly.

2019-07-08 23:37:22 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate:launcher: Pass the right timeout_factor is passed to subprojects

2019-07-08 23:36:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Do not dereference NULL pointer

2019-07-03 15:42:26 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate:pipeline-monitor: Connect deep properties notification only when required
	  This is quite expensive and can lead to an overwhelm mainloop.

2019-06-28 17:34:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Keep a reference to 'description' structure
	  For it to be reusable outside the scenario

2019-06-27 00:41:03 +0000  Thibault Saunier <tsaunier@gnome.org>

	* docs/gst-validate-config.md:
	  doc: Minor typo fixes.

2019-06-23 13:56:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Use internal sinks when a sink bin can be used to check last-sample

2019-06-23 13:40:37 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-config.md:
	* docs/sitemap.txt:
	  docs: Document validate core configuration

2019-06-23 12:48:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validate:flow: Log buffers even when tracking srcpads

2019-06-23 12:48:06 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: Move get_fakesink_for_media_type to utils
	  So it can be reused in other apps like GES

2019-06-23 12:46:37 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate: Also monitor ghost pads
	  Allowing overrides to work on ghost pads too

2019-06-23 11:58:11 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Add `buffers-checksum` option to log buffers data checksum

2019-06-23 03:31:30 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-config.md:
	* docs/gst-validate-scenarios.md:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	  validate: Add SCENARIO_NAME and CONFIG_NAME vars in configs/scenarios

2019-06-23 03:09:58 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-config.md:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/validate.c:
	* validate/launcher/baseclasses.py:
	  validate: Set 'LOGSDIR' variable in scenarios and config files
	  Implementing support for variables in config files.

2019-06-23 01:51:08 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-scenarios.md:
	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Set `SCENARIO_PATH/DIR` variables in scenarios
	  And add some documentation about it

2019-06-23 00:47:04 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-scenarios.md:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	  scenario: Add a `TMPDIR` global variables in scenarios
	  This also adds the notion of global variables which will be useable
	  in config files too.
	  And add some documentation about default variables in scenarios

2019-06-18 18:10:24 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  docs: Update validate action types
	  Include minor fixes in the action types and markdown generator

2019-06-18 17:43:56 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/tools/gst-validate.c:
	  validate: Misc leaks plugging

2019-06-17 17:59:21 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Strip env vars in command line outputing verbose
	  But activate if activating verbosity more than once

2019-06-14 10:43:15 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/ges-validate-action-types.md:
	* docs/gst-validate-action-types.md:
	* docs/sitemap.txt:
	  docs: Document GES validate action types

2019-06-11 17:11:42 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate:reporter: Show report by branches when doing smart reporting
	  Meaning that instead of getting 1 "Detected on" line per monitor,
	  there will be one per "branch" like:
	  Detected on <audioconvert1:sink, audioconvert1:src, audioresample1:sink, audioresample1:src, smart-adder-adder:sink_0, smart-adder-adder:src, smart-adder-capsfilter:sink, smart-adder-capsfilter:src, capsfilter2:sink, capsfilter2:src, tee1:sink, tee1:src_0>
	  Making it simpler to read and a bit less verbose.

2019-06-11 16:34:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Avoid repeating failure info in summaries

2019-06-11 16:27:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tools/gst-validate-transcoding.c:
	  validate:scenario: Move force-key-unit action from the transcoding tool
	  The action is generally useful but was implemented in a way that
	  was restricting its usage for no good reason. Refactor the
	  implementation adding more argument so it can be used in a wider
	  context, such as uvch264src.
	  Something like:
	  ``` bash
	  echo "video-request-key-unit, direction=upstream, all-header=true, count=1, target-element-factory-name=h264parse, srcpad=src, playback-time=1.0" > tmp.scenario && \
	  echo "stop,playback-time=2.0" >> tmp.scenario && \
	  gst-validate-1.0 --set-scenario=tmp.scenario uvch264src \
	  device=/dev/video0 name=src iframe-period=33 auto-start=true src.vfsrc ! queue ! fakesink \
	  src.vidsrc ! queue ! video/x-h264,width=1280,height=720,framerate=30/1 ! h264parse ! fakesink
	  ```
	  works now.

2019-06-11 16:23:00 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Minor documentation cleanup

2019-06-11 16:21:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate:pipeline-monitor: Avoid wrong position issue
	  If the reported position or duration is NONE, do not check its
	  validity

2019-05-31 23:18:08 +0200  Niels De Graef <niels.degraef@barco.com>

	* meson.build:
	  meson: Bump minimal GLib version to 2.44
	  This means we can use some newer features and get rid of some
	  boilerplate code using the G_DECLARE_* macros.
	  As discussed on IRC, 2.44 is old enough by now to start depending on it.

2019-05-21 14:54:39 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Implement seeking with DEFAULT format

2019-05-23 11:49:01 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  ssim: Report critical issue when override not attached

2019-05-23 11:35:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  ssim: Fix the way we handle when an override is attached

2019-05-23 11:34:19 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/ssim.md:
	  docs: Minor fix about ssim plugin

2019-04-24 16:24:05 +0000  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-transcoding.md:
	* docs/index.md:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	  docs: Fix docstrings

2019-04-20 10:21:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Do not dump to big log files
	  Avoiding ' The script exceeded the maximum execution time set for the job' in GitLab

2019-02-07 15:50:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/sitemap.txt:
	  docs: Document the validateflow plugin

2018-11-17 16:50:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-validate-action-types.md:
	* docs/sitemap.txt:
	  docs: Document validate action types
	  Just did:
	  ```
	  gst-validate-1.0 --inspect-action-type all >   docs/gst-validate-action-types.md
	  ```

2018-11-17 12:31:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/tools/gst-validate.c:
	  validate: inspect: Output valid markdown
	  So it can be used directly in the documentation Also add a special "all"
	  argument to `gst-validate-1.0 --inspect-action-type` so we can generate
	  the documentation for all action types easily.

2018-10-22 11:38:30 +0200  Thibault Saunier <tsaunier@igalia.com>

	* docs/api.md:
	* docs/gi-index.md:
	* docs/gst-validate-config.md:
	* docs/gst-validate-environment-variables.md:
	* docs/gst-validate-launcher.md:
	* docs/gst-validate-media-check.md:
	* docs/gst-validate-scenarios.md:
	* docs/gst-validate-transcoding.md:
	* docs/gst-validate.md:
	* docs/index.md:
	* docs/meson.build:
	* docs/plugins/index.md:
	* docs/plugins/ssim.md:
	* docs/sitemap.txt:
	* meson.build:
	* meson_options.txt:
	* validate/Makefile.am:
	* validate/configure.ac:
	* validate/docs/Makefile.am:
	* validate/docs/launcher/Makefile.am:
	* validate/docs/launcher/conf.py:
	* validate/docs/launcher/index.rst:
	* validate/docs/launcher/launcher.rst:
	* validate/docs/launcher/modules.rst:
	* validate/docs/meson.build:
	* validate/docs/plugins/.gitignore:
	* validate/docs/plugins/Makefile.am:
	* validate/docs/plugins/gst-validate-plugins-docs.sgml:
	* validate/docs/plugins/gst-validate-plugins-overrides.txt:
	* validate/docs/plugins/gst-validate-plugins-sections.txt:
	* validate/docs/plugins/gst-validate-plugins.sgml:
	* validate/docs/plugins/gst-validate-plugins.types:
	* validate/docs/validate/.gitignore:
	* validate/docs/validate/Makefile.am:
	* validate/docs/validate/envvariables.xml:
	* validate/docs/validate/gst-validate-docs.sgml:
	* validate/docs/validate/gst-validate-launcher.xml:
	* validate/docs/validate/gst-validate-media-check.xml:
	* validate/docs/validate/gst-validate-sections.txt:
	* validate/docs/validate/gst-validate-transcoding.xml:
	* validate/docs/validate/gst-validate.types:
	* validate/docs/validate/gst-validate.xml:
	* validate/docs/validate/meson.build:
	* validate/docs/validate/scenarios.xml:
	* validate/docs/version.entities.in:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/meson.build:
	* validate/meson.build:
	* validate/plugins/ssim/gstvalidatessim.c:
	  doc: Port to hotdoc
	  Ideally we want a GstValidate hotdoc plugin... not for now.

2018-10-22 11:38:27 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/tests/check/meson.build:
	  meson: Use dep.type_name() when it makes sense

2018-10-22 11:38:24 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-enums.h:
	* validate/gst/validate/gst-validate-monitor-factory.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	  doc: Minor fixes

2019-04-19 13:02:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/launcher/testsuites/check.py:
	  launcher: testsuites: skip systemclock stress tests
	  These are very flaky when the build bots are under load.

2019-05-04 19:54:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/validate.c:
	  validate: fix build on macOS
	  _Q_VALIDATE_MONITOR was defined twice because it wasn't declared
	  as extern in the header, so it would be defined as variable in all
	  included files. This doesn't seem to cause problems on Linux, but
	  seems to cause build failures on macOS.
	  Fixes #42

2019-04-19 10:42:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/meson.build:
	  Back to development

=== release 1.16.0 ===

2019-04-19 00:36:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	* validate/meson.build:
	  Release 1.16.0

2019-04-17 17:05:36 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:check: Mare nle test_simple_operation as long

2019-04-17 16:46:31 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:check: Fix some mistakes translating regex from gitlab-ci.yml

2019-04-17 16:59:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* .gitlab-ci.yml:
	  ci: Run valgrind tests when changing the check testsuite

2019-04-17 11:04:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Set ORC_CODE=backup when running gst unit tests under valgrind

2019-04-17 10:43:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:check: Blacklist and mark some GES tests as long under valgrind

2019-04-17 10:30:02 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/testsuites/check.py:
	  validate:testsuites: Add unit tests blacklists

2019-04-17 08:56:46 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Ignore possibly lost for now

2019-04-17 02:31:30 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/baseclasses.py:
	  TestsManager: _add_blacklist in set_default_blacklist
	  Otherwise test suites that want to set_default_blacklist and
	  add tests in setup_tests were seeing their blacklist ignored.
	  Split up and rename set_blacklists() to complete the refactoring

2019-04-17 02:29:36 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/baseclasses.py:
	  Check indirect leaks

2019-04-15 16:13:48 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not copy logs for non flaky tests
	  That looks weird for users and is incorrect

2019-04-15 11:50:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix printing debug logs URIs

2019-04-12 12:33:25 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not stop tcp server when reiterating tests runs

2019-04-12 10:13:15 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Associate issues with the bug they come from
	  Making it simpler to follow when print the known issues

2019-04-12 10:12:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Indent known issues printing

2019-04-11 10:31:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Print the number of times the test was run when --forever

2019-04-06 11:40:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Add python suppression files

2019-04-06 11:10:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Use md viewer to dump md logs if avalaible
	  And enhance the markdown
	  See https://github.com/axiros/terminal_markdown_viewer

2019-04-06 10:46:52 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Avoid forking when running gstcheck tests in gdb

2019-04-05 23:05:20 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Add an option to output HTML if commonmark is installed

2019-04-05 22:23:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Do not user python 3.5 features

2019-04-05 10:41:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Move all logs to one single log files to be displayed to end user

2019-04-05 10:40:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Make extra_logfiles a set and fix their names

2019-04-05 10:40:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Remove spurious print

2019-04-04 17:07:58 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Remove noise about empty known issues in logs

2019-04-04 17:05:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix printing application name in the logs

=== release 1.15.90 ===

2019-04-11 01:27:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	* validate/meson.build:
	  Release 1.15.90

2019-04-11 01:25:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/Makefile.am:
	  validate: autotools: dist mock decryptor header file

2019-04-11 01:00:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/win32/common/libgstvalidate.def:
	  validate: win32: add new api to export file

2019-03-28 10:08:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: Add a list of well known subpression files from gst-build subprojects
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-devtools/issues/38

2019-03-27 12:36:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate: Add a mecanism to rerun failling tests
	  And add a way to mark some 'flakes' as tolerated

2019-03-27 15:07:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Reset process on clean

2019-03-26 19:35:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Print error message details in our reports

2019-03-26 15:18:27 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Dump applied known issues in the logs

2019-03-26 14:09:54 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/reporters.py:
	  validate:launcher: Put all logs inside the failure node
	  Pleasing gitlab CI reporting system

2019-03-26 12:19:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate:launcher: By default use cpu_count / 2

2019-03-26 10:49:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Print name of the test to be debugged
	  When --debug was passed

2019-03-26 10:47:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/tests/check/validate/padmonitor.c:
	  validate:pad-monitor: Accept any return value when we aggregated FLUSHING while tearing down
	  Basically nothing guarantees that the set of pads we aggregated the flow
	  for is the same as the one that was aggregated during the actual data
	  flow as some pads could have been removed meanwhile.

2019-03-25 18:14:53 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Allow last-sample to not be set when checking it
	  And instead of failling, wait for it to be set again.
	  Depends on https://gitlab.freedesktop.org/gstreamer/gstreamer/merge_requests/119

2019-03-25 18:14:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: Return the GstValidateAction on .ref()

2019-03-25 16:46:46 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/launcher/baseclasses.py:
	  validate: Generate dot files and link to them on CI

2019-03-21 17:10:25 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Try to send SIGINT before killing processes
	  Giving a chance for validate to print reports

2019-03-21 10:01:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add a way to say that a known issues can happen several times

2019-03-19 21:39:02 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Remove now useless code to check sending EOS brings down the pipeline
	  If we want to make an exception we can use known issues these days

2019-03-20 18:36:17 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Be a bit more resilient in GstValidateListener
	  And handle exception decoding received json info

2019-03-20 18:26:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Implement a way to execute an action on message
	  And use it for seek forward and fast forward scenarios

2019-03-19 21:21:09 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add a way to require a non fatal error when matching a fatal one

2019-03-19 12:16:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Add a way to force coloration

2019-03-19 12:15:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: factor out TTY check and enhance iteration output

2019-03-19 10:22:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Clear up last seek on EOS generating a 'stop' action
	  Otherwise there is a race leading to a segfault where ASYNC_DONE is
	  received *after* generating EOS ourselves:
	  ```
	  Executing stop (
	  - generated-after-eos=true
	  )
	  <Caught SIGNAL: SIGSEGV>
	  **Stack trace**:
	  ...
	  Thread 1 (Thread 0x7f3c3e50df00 (LWP 10183)):
	  #8  0x00007f3c3f01bea5 in g_cclosure_marshal_generic (closure=<optimized out>, return_gvalue=<optimized out>, n_param_values=<optimized out>, param_values=<optimized out>, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gclosure.c:1496
	  #9  0x00007f3c3f01b3dd in g_closure_invoke (closure=0x1855980, return_value=0x0, n_param_values=2, param_values=0x7ffda2e0a7e0, invocation_hint=0x7ffda2e0a760) at gclosure.c:810
	  #10 0x00007f3c3f02e983 in signal_emit_unlocked_R (node=node@entry=0x15af670, detail=detail@entry=298, instance=instance@entry=0x171fc80, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffda2e0a7e0) at gsignal.c:3635
	  #11 0x00007f3c3f037aaa in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=var_args@entry=0x7ffda2e0a9c0) at gsignal.c:3391
	  [Inferior 1 (process 10183) detached]
	  ```

2019-03-19 10:12:42 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add generated known issue list to the logs instead of printing then

2019-03-19 09:43:55 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: Add a way to force stdout coloring

2019-03-18 16:52:11 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/tests/launcher_tests/test_validate.py:
	  validate:launcher: Rework expected-issues data format
	  Instead of having the issues centered on the test classes, they
	  are now focusing on the "bug".
	  And harmise names on `expected_issue` not `expected_failures`

2019-03-18 14:30:59 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Allow printing log URL on a CI server

2019-03-18 11:09:10 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix getting skip-parser when generating media descriptor
	  On old version it didn't exist

2019-03-18 10:32:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate:launcher: Review default for `--mute`
	  `--mute` is now True by default and added `--unmute` if the user wants
	  to have visual/audio feedback. It was really annoying to have thousand
	  of window pop up by default

2019-03-17 14:39:38 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Allow referencing known issue by exiting signal names

2019-03-16 22:52:53 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Output markdown as much as possible

2019-03-16 21:37:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	* validate/launcher/utils.py:
	  validate:launcher: Implement bug checks for gitlab
	  And use new gitlab urls for all the bugs

2019-03-16 21:37:37 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/httpserver.py:
	* validate/launcher/vfb_server.py:
	  validate:launcher: Enhance and standardize output

2019-03-16 18:05:56 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/change_state_intensive.scenario:
	* validate/data/scenarios/fast_backward.scenario:
	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/seek_backward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add a way to ignore EOS
	  And ignore then in seek_forward/backward to avoid cases where the pipeline EOS
	  before we have the chance to launch the following seek, see:
	  https://ci.gstreamer.net/job/GStreamer-master-meson-validate/3483/testReport/junit/(root)/gst-validate-launcher/validate_rtsp_playback_seek_backward_raw_h264_1_mp4/

2019-03-16 16:28:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Take into account the timeout when checking EOS

2019-03-16 12:21:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Common/generictreemodel.py:
	* debug-viewer/GstDebugViewer/GUI/app.py:
	* debug-viewer/GstDebugViewer/GUI/models.py:
	* debug-viewer/gst-debug-viewer:
	* hooks/pre-commit-python.hook:
	* tracer/gsttr-stats.py:
	* tracer/gsttr-tsplot.py:
	* tracer/tracer/analysis_runner.py:
	* tracer/tracer/parser.py:
	* tracer/tracer/structure.py:
	* tracer/tracer/structure_perf.py:
	* validate/docs/launcher/conf.py:
	* validate/launcher/RangeHTTPServer.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/httpserver.py:
	* validate/launcher/loggable.py:
	* validate/tools/gst-validate-analyze:
	* validate/tools/gst-validate-launcher.in:
	  Pass python files through autopep8

2019-03-15 23:46:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Help the user add known issues
	  And make it clear a bug should be opened about it

2019-03-15 07:39:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Enhance dumping log files output

2019-03-13 19:08:25 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/config.py.in:
	* validate/launcher/main.py:
	* validate/launcher/meson.build:
	* validate/launcher/utils.py:
	  validate:launcher: Use gst-integration-testsuites subproject as default testsuite repo if avalaible

2019-03-08 15:44:31 +0100  Philipp Zabel <p.zabel@pengutronix.de>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: fix pause duration handling
	  Commit 394242c2248a ("validate:scenario: Enhance variable
	  implementation") caused the duration parameter to be stored
	  as a double instead of GstClockTime, which the _execute_pause
	  implementation expects. Fix the parameter type and use
	  gst_validate_action_get_clocktime to handle duration correctly.
	  https://gitlab.freedesktop.org/gstreamer/gst-devtools/merge_requests/73

2019-04-01 15:23:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* debug-viewer/meson.build:
	  debug-viewer: Use python.install_sources()
	  With current implementation we would try and install into the system
	  path regardless of the prefix. On top of that, we could install any left
	  over pyc file and would install the unit test also.
	  To fix this, we now list every files to be installed and use
	  python.install_sources(), leaving to meson the decision on where things
	  should be installed.

2019-04-01 14:48:54 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	  meson: validate: Fix linking error missing GstBaseTransform
	  There is a mockdecryptor that has been added into validate-sources and
	  this element is base on GstBaseTransform. This added a deps against
	  gstbase which was leading to linking errors when building with meson.

2019-04-01 21:49:19 +0900  Jimmy Ohn <yongjin.ohn@lge.com>

	* codecanalyzer/src/codecanalyzer.c:
	* codecanalyzer/src/gst_analyzer.c:
	* codecanalyzer/src/plugins/gst/analyzersink/gstanalyzersink.c:
	  codecanalyzer: Use glib variant of strcmp
	  safer, and avoids missing include

2019-02-15 14:59:20 +0900  Jimmy Ohn <yongjin.ohn@lge.com>

	* validate/gst/validate/validate.c:
	  validate: Print some log when environment variable is not set
	  print some log when environment variable is not set

2019-03-23 19:48:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/meson.build:
	  meson: validate: actually pass extra arguments to gnome.generate_gir()
	  Especially the init section and the --quiet.
	  Remove the whole manual build/source dir include addition
	  to the g-ir-scanner args seeing that things worked fine
	  without the args being passed to the scanner at all.

2019-03-23 19:47:24 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-override-registry.h:
	* validate/gst/validate/gst-validate-utils.c:
	  validate: fix g-i warnings
	  gst-validate-utils.c:914: gst_validate_element_matches_target: unknown parameter 'structure' in documentation comment, should be 's'
	  gst-validate-override-registry.h:49: gst_validate_override_registry_get_override_list: return value: Missing (element-type) annotation

2019-03-23 19:22:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  g-i: pass --quiet to g-ir-scanner
	  This suppresses the annoying 'g-ir-scanner: link: cc ..' output
	  that we get even if everything works just fine.
	  We still get g-ir-scanner warnings and compiler warnings if
	  we pass this option.

2019-03-22 15:37:37 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* validate/gst/validate/gst-validate-mockdecryptor.c:
	  Avoid C99 declaration in 'for' loop

2019-03-22 10:48:03 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Set CK_MULTIPLIER=10 in GstCheck tests when using valgrind
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-devtools/issues/39

2019-03-21 13:06:00 +0000  Tim-Philipp Müller <tim@centricular.com>

	* debug-viewer/meson.build:
	* meson.build:
	  meson: use new 'python' module instead of deprecated 'python3' one
	  https://github.com/mesonbuild/meson/pull/4169

2019-03-14 23:17:16 +1100  Matthew Waters <matthew@centricular.com>

	* validate/gst/overrides/meson.build:
	  validate: allow building a static overrides library

2019-02-21 17:22:10 +0000  Charlie Turner <cturner@igalia.com>

	* validate/gst/validate/Makefile.am:
	* validate/gst/validate/gst-validate-mockdecryptor.c:
	* validate/gst/validate/gst-validate-mockdecryptor.h:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/meson.build:
	  validate: Add a mock decryptor element.

2019-03-15 17:38:15 +0000  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-override-registry.h:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Fail when a pad is not attached
	  Previously validateflow tests did not fail when the pad was not
	  attached.
	  This was a limitation caused by how the Validate API worked. Before, the
	  `notify::validate-runner` signal was not emitted until a monitor was
	  attached to the override. This made impossible to listen for the
	  runner's `stopping` signal.
	  This patch fixes the problem by setting `validate-runner` for all
	  existing overrides when the runner is initialized and adding checks in
	  validateflow to error in the case no pad was attached.

2019-03-10 17:07:08 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/utils.py:
	  validate:launcher: Move '_format_config_template' to the utilities
	  So it can be reused by GES tests

2019-03-10 17:06:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Check that position <= duration from the pipeline monitor
	  We should not require a scenario for that check to happen

2019-03-10 17:05:15 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Cleanup spurious error message

2019-03-10 17:03:09 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	  validate-flow: Add an ignored-event-fields configuration
	  It replaces `record-stream-id` as it is a more generic way of doing
	  the same thing.

2019-02-07 15:50:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/validateflow.md:
	  docs: Document the validateflow plugin

2019-03-06 10:15:21 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	  validate: More usage of g_strcmp0 instead of strcmp

2019-03-06 10:11:02 +0100  Edward Hervey <edward@centricular.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Use glib variant of strcmp
	  safer, and avoids missing include

2019-03-04 15:20:49 +0100  Edward Hervey <edward@centricular.com>

	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/gstvalidateflow.c:
	  validate: Include config.h before anything else
	  To avoid double-defines (such as GST_LEVEL_DEFAULT)

2019-03-04 09:15:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/meson.build:
	  Back to development

=== release 1.15.2 ===

2019-02-26 12:00:40 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	* validate/meson.build:
	  Release 1.15.2

2019-02-26 19:42:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/data/scenarios/Makefile.am:
	  scenarios: don't clobber scenarios in 'make install'
	  /usr/bin/install: will not overwrite just-created '_inst/share/gstreamer-1.0/validate/scenarios/default-seek-flags.scenario' with '../../../../data/scenarios/rtsp_overrides/includes/default-seek-flags.scenario'
	  https://gitlab.freedesktop.org/gstreamer/gst-devtools/merge_requests/44#note_123683

2019-02-26 18:53:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/win32/common/libgstvalidate.def:
	  validate: add new API to exports file

2019-02-01 10:02:22 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Notice that issue summaries should be 'stable'
	  As they are used in the testsuite to define known issues

2019-02-17 15:38:53 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  gst-validate-scenario: Make waits optional in appsrc-push
	  While in many cases it's desirable to wait for a buffer to be pushed
	  downstream when using appsrc-push, in some cases this is not possible as
	  such pushing action is dependent on following actions that would not be
	  executed if we wait.
	  An example for this is prerolling:
	  appsrc ! qtdemux ! video/x-h264 ! decodebin name=dec ! %(videosink)s
	  description, seek=false, handles-states=true
	  appsrc-push, target-element-name=appsrc0, file-name="raw_h264.0.mp4"
	  set-state, state=playing
	  appsrc-eos, target-element-name=appsrc0
	  In order for the preroll to occur, both the appsrc needs to push the
	  buffer and the state needs to reach PLAYING. But `set-state` cannot
	  finish if the buffer has not been pushed (the state transition does not
	  finish) and conversely pushing the buffer will not finish until the
	  state has reached.
	  Making appsrc-push not wait for the buffer solves this problem. This
	  patch makes appsrc-push aware of this issue by only waiting for the
	  buffer to be pushed if the pipeline is in a state that allows buffers to
	  flow.

2019-02-21 22:01:24 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  gst-validate-scenario: Fix (another) race condition in EOS handling
	  Since gst_validate_action_set_done() is asynchronous, the bus EOS
	  handler may already be running before the action is actually finished.
	  This patch ensures that is not a problem.

2019-02-19 17:36:23 +0000  Charlie Turner <cturner@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validateflow: interpolate folder directories into pipeline descriptions.
	  Allow 'pipeline' fields in validateflow to be interpolated with
	  directory keys like $(medias)s.

2019-02-07 15:36:41 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/docs/validate/envvariables.xml:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	  validate: allow config to check for minimum buffer frequency on pads
	  This change allow tests to check performance of elements by checking the
	  frequency at which buffers are pushed on src pads.
	  I re-used most of the logic from fpsdisplaysink to compute the
	  frequency.
	  We can now uses something like:
	  GST_VALIDATE_CONFIG='core,min-buffer-frequency=60,target-element-factory-name=v4l2src'
	  The 'buffer-frequency-start' optional field can be used to ignore the
	  frequency during the start of the pipeline. This is useful when testing live
	  pipelines where configuring and setting up elements can take some time slowing
	  down the first buffers.

2019-02-11 16:07:28 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	  validate: factor out gst_validate_element_matches_target()

2019-02-18 11:05:26 +0000  Charlie Turner <cturner@igalia.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Fix double-free on stdout

2019-02-04 13:19:26 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/tests/check/validate/expression_parser.c:
	  validate: report: Fix the way we print 'repeat' values

2019-02-04 13:18:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	* validate/tests/check/meson.build:
	* validate/tests/check/validate/expression_parser.c:
	  validate: Force LC_NUMERIC to C as it is required by our expression parser
	  And... add some expression parser unit tests

2019-02-03 20:05:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/alternate_fast_backward_forward.scenario:
	* validate/data/scenarios/fast_backward.scenario:
	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/includes/default-seek-flags.scenario:
	* validate/data/scenarios/reverse_playback.scenario:
	* validate/data/scenarios/rtsp_overrides/includes/default-seek-flags.scenario:
	* validate/data/scenarios/scrub_backward_seeking.scenario:
	* validate/data/scenarios/scrub_backward_seeking_full.scenario:
	* validate/data/scenarios/scrub_forward_seeking.scenario:
	* validate/data/scenarios/scrub_forward_seeking_full.scenario:
	* validate/data/scenarios/seek_backward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/data/scenarios/seek_forward_backward.scenario:
	* validate/data/scenarios/seek_with_stop.scenario:
	* validate/data/scenarios/simple_seeks.scenario:
	* validate/data/scenarios/update_start.scenario:
	* validate/data/scenarios/update_stop.scenario:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/tests/check/meson.build:
	* validate/tests/check/validate/scenario.c:
	  validate:scenario: Enhance variable implementation
	  - Stop arbitrarily consider params as ClockTime based on their names
	  but add a convetion that the `.type` field of the ActionType should
	  end by `(GstClockTime)` when it is a clock time.

2019-02-03 20:03:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Make gst_validate_action_new public
	  Mainly so it can be used in unit tests.

2019-02-02 13:43:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/reverse_playback.scenario:
	* validate/data/scenarios/scrub_backward_seeking.scenario:
	* validate/data/scenarios/scrub_backward_seeking_full.scenario:
	* validate/data/scenarios/scrub_forward_seeking.scenario:
	* validate/data/scenarios/scrub_forward_seeking_full.scenario:
	* validate/data/scenarios/seek_backward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	  validate:scenario: Allow using set-vars from numeric expressions
	  And require them to follow the `$varname` (can't be $(varname) as
	  parenthesis have another meaning in those expressions).
	  Still accept "duration" and "position" as varname for backward compat
	  but update our scenarios anyway.

2019-02-02 13:32:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Parse playback times as we execute the scenario
	  This way we will be able to use 'set-vars' for it

2019-02-01 22:54:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/data/scenarios/alternate_fast_backward_forward.scenario:
	* validate/data/scenarios/fast_backward.scenario:
	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/includes/default-seek-flags.scenario:
	* validate/data/scenarios/reverse_playback.scenario:
	* validate/data/scenarios/rtsp_overrides/includes/default-seek-flags.scenario:
	* validate/data/scenarios/scrub_backward_seeking.scenario:
	* validate/data/scenarios/scrub_backward_seeking_full.scenario:
	* validate/data/scenarios/scrub_forward_seeking.scenario:
	* validate/data/scenarios/scrub_forward_seeking_full.scenario:
	* validate/data/scenarios/seek_backward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/data/scenarios/seek_forward_backward.scenario:
	* validate/data/scenarios/seek_with_stop.scenario:
	* validate/data/scenarios/simple_seeks.scenario:
	* validate/data/scenarios/update_start.scenario:
	* validate/data/scenarios/update_stop.scenario:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Enforce a synthax $(varname) to reference variables
	  This way it is clear that you are using a variable reading the scenario
	  and we can verify that what the scenario writer intents is to use an
	  already set variable.

2019-02-07 17:34:56 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: don't override max-latency if config contains multiple structs
	  gst_validate_utils_get_clocktime() is resetting the value if it's not
	  present in the struct so we were overriding it on the next iterations.

2019-02-08 11:46:58 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/launcher/baseclasses.py:
	  validate: baseclasses: include env variable in logged command
	  We were missing the env variables in the command written to the log
	  file, making it impossible to re-run the test later from the logs.

2019-02-09 01:16:31 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  gst-validate-scenario: Add GST_VALIDATE_SCENARIO_EOS_HANDLING_LOCK
	  There was a race in appsrc-push when the pushed buffer caused an EOS.
	  The EOS event could be handled by the main thread, finishing the test
	  while the action, executing in the streaming thread, has not finished
	  yet.
	  A mutex is now introduced to add mutual exclusion for the two threads so
	  that an EOS does not cause the termination of the test while the action
	  is still going.

2019-02-07 15:42:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/plugins/flow/gstvalidateflow.c:
	  validateflow: Print some indication that the flow checking is happening

2019-02-11 11:09:21 +0100  Edward Hervey <edward@centricular.com>

	* validate/configure.ac:
	* validate/plugins/Makefile.am:
	* validate/plugins/flow/Makefile.am:
	  validate: Add autotools support for flow plugin

2019-02-10 01:23:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  Revert "validate:launcher: Cache the result of meson introspect"
	  This reverts commit 05ce6d3b92e88341bd9743b021b33ce606c5d1bc.
	  We can't do that as it breaks meson logic to set envvars

2019-02-09 17:25:03 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not sort tests all the time
	  Do it once only once it is fully populated

2019-02-09 17:24:10 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Cache the result of meson introspect
	  Running it takes quite some time and we can easily cache it.

2019-02-09 17:23:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-launcher.in:
	  validate:launcher: Add a simple way to profile app

2019-02-08 14:36:56 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: not need to use an atomic to handle dropped count
	  It's all handled from the same thread.

2019-02-08 14:23:15 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix dropped checking when terminating scenario
	  We want to early return if either no max value has been set for the
	  scenario or if we didn't receive any QoS information.

2019-02-08 13:32:12 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: properly namespace config related checks

2018-10-28 17:27:22 +0000  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/plugins/flow/formatting.c:
	* validate/plugins/flow/formatting.h:
	* validate/plugins/flow/gstvalidateflow.c:
	* validate/plugins/flow/meson.build:
	* validate/plugins/meson.build:
	  New validate plugin: validateflow
	  validateflow can be used to check the buffers and events flowing through
	  a custom pipeline match an expectation file. This can be used to test
	  non-regular-playback use cases like demuxers handling adaptive streaming
	  fragment pushing.
	  This patch includes also new actions used for these cases:
	  `appsrc-push`, `appsrc-eos` and `flush` (plus `checkpoint`, which is
	  only available with validateflow).

2019-02-07 17:04:52 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/launcher/baseclasses.py:
	  baseclass: add_validate_config: don't use self.proc_env
	  self.proc_env is created when starting the test but this API can be call
	  by generator when creating the test.

2019-02-06 18:24:19 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: allow scenarios to define a max nb of dropped buffers
	  The 'max-dropped' description field can now be used to specify the max
	  number of buffers than can be dropped by the QoS system.

2019-02-05 23:46:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Error out in the check testsuite if rebuilding failed

2019-02-04 17:03:01 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: allow scenarios to define max pipeline latency
	  The 'max-latency' description field can now be used to specify the max
	  latency allowed for the running pipeline.

2019-02-02 01:23:16 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/data/scenarios/Makefile.am:
	* validate/data/scenarios/alternate_fast_backward_forward.scenario:
	* validate/data/scenarios/fast_backward.scenario:
	* validate/data/scenarios/fast_forward.scenario:
	* validate/data/scenarios/includes/default-seek-flags.scenario:
	* validate/data/scenarios/meson.build:
	* validate/data/scenarios/reverse_playback.scenario:
	* validate/data/scenarios/rtsp_overrides/includes/default-seek-flags.scenario:
	* validate/data/scenarios/scrub_backward_seeking.scenario:
	* validate/data/scenarios/scrub_backward_seeking_full.scenario:
	* validate/data/scenarios/scrub_forward_seeking.scenario:
	* validate/data/scenarios/scrub_forward_seeking_full.scenario:
	* validate/data/scenarios/seek_backward.scenario:
	* validate/data/scenarios/seek_forward.scenario:
	* validate/data/scenarios/seek_forward_backward.scenario:
	* validate/data/scenarios/seek_with_stop.scenario:
	* validate/data/scenarios/simple_seeks.scenario:
	* validate/data/scenarios/update_start.scenario:
	* validate/data/scenarios/update_stop.scenario:
	* validate/launcher/apps/gstvalidate.py:
	  Scenarios: override seek flags for RTSP tests
	  Our RTSP server is not accurate, it makes no sense to perform
	  accuracy checks on the client-side segments.

2019-02-01 20:01:40 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Set variables on all action fields

2019-02-01 19:30:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: Handle G_LOG_ERROR in our glog handler

2019-02-01 19:03:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Rename action 'define-consts' to 'set-vars'
	  Those are not consts are they can be modified at runtime

2019-02-01 18:41:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	  validate: Cleanup flags/enum_from_string

2019-02-01 23:08:16 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: prioritize SCENARIOS_PATH when including

2019-02-01 01:24:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: Let people know the testsuite starts running
	  Now that we do not print infos about successful tests when redirecting.

2019-02-01 00:08:45 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: Keep trying to print stack traces when our log hanlder is removed
	  There are cases where a crash happens after the program ends

2019-01-31 23:43:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Give pipeline position when failling on EOS

2019-01-31 23:35:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not print passing tests if not running in a tty

2019-01-31 22:37:17 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Explicitely mark generated stop() action as such

2019-01-30 15:57:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/pyunittest.py:
	  validate:launcher:punittest: Raise an exception if a testsuite can't be loaded

2015-11-25 16:10:50 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	  pad-monitor: Remove unused pad getrange override

2015-11-25 14:20:31 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/validate.c:
	  validate: Use g_object_{get|set}_qdata where applicable
	  This provides a substantial speedup compared to using strings

2019-01-30 01:24:16 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* validate/launcher/baseclasses.py:
	  TestsManager: stop displaying blacklisted tests on stdout
	  It's basically spam, better suited to the debug logs

2019-01-29 15:59:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Never print lines larger than the terminal

2019-01-29 12:54:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: scenario: Mark action as being executed right before calling ->execute
	  And make sure that we do not try to execute the following action
	  In the case the action type leads to the GMainContext to be ieterated

2018-12-11 11:42:25 +0200  Jordan Petridis <jpetridis@gnome.org>

	* validate/launcher/reporters.py:
	  validate: Report the full test name in the xunit file
	  Looks like gitlab prefers this way of representing tests as it
	  displays only the name field in its junit reports.
	  Close #32

2019-01-26 10:27:47 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Make baseclasses.py pep8 compliant

2019-01-25 22:27:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Handle launching launching a sub launcher
	  If you use validate-launcher in a meson testsuite, those test now
	  gets integrated as one unique testsuite (with a pretty long namespace).

2019-01-25 22:13:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate:launcher: Refactor the "main" function
	  - Move the parser code into a `LauncherConfig.create_parser()` method
	  - Remove the need to pass libsdir to the _TestsLauncher object
	  - Extract out a `setup_launcher_from_args` function

2019-01-25 22:09:30 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  launcher: Move http serveur and xvfb server to the main test runner object
	  No good reason for it to be in the main function

2019-01-25 22:06:14 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/pyunittest.py:
	  launcher: Cleanup the way we find python test command line
	  By setting it before the test base class adds the current testsuite name in the classname

2019-01-25 22:03:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  launcher: Fix test listing in meson VS gstcheck tests
	  You might select tests that match Meson but not gstcheck in which
	  case the 'meson only' variant is exposed but those should never exist.

2019-01-26 09:19:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Add `%(config_path)s` in the pipeline desc vars
	  When defining pipelines_descriptions to run test on in a `.json` file, you might
	  need to point to paths in the testsuite directory (for media files URIs
	  for example), you can now do
	  `"pipeline": "filesrc location="$(config_path)s/../medias/some/file.mkv...`

=== release 1.15.1 ===

2019-01-17 10:01:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.15.1

2019-01-17 09:58:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/meson.build:
	  Fix distcheck
	  Work around broken disthook check in release.mak so we don't
	  have to update the common submodules for that (applies only
	  to this module because the version number is in the top-level
	  meson.build but the package/dist directory is a subdir). This
	  only became a problem now because the common submodule hadn't
	  been updated for the last few years.

2019-01-17 09:38:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/win32/common/libgstvalidate.def:
	  win32: update .def file for new API
	  Fixes distcheck

2019-01-15 16:52:24 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Display unix nickname of signals leading to test failure

2019-01-15 16:05:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix error message about 'crashed' test

2019-01-14 22:55:35 +0100  Alicia Boya García <ntrrgc@gmail.com>

	* hooks/pre-commit-python.hook:
	  pre-commit-python: Allow line breaks between binary operators
	  pre-commit-python overrides the list of ignored Python style errors.
	  Unfortunately, before this patch the list did not exclude W503 and
	  W504 (which are otherwise ignored by default).
	  The consequence of having those two warnings enabled at the same time is
	  that it's not possible to break lines on binary operators, which is an
	  unreasonable unintentional restriction:
	  'validateflow': "validateflow, expectations-dir=\"" +
	  expectations_dir + "\", actual-results-dir=\"" +
	  actual_results_dir + "\"",
	  W504 line break after binary operator
	  'validateflow': "validateflow, expectations-dir=\""
	  + expectations_dir + "\", actual-results-dir=\""
	  + actual_results_dir + "\"",
	  W503 line break before binary operator
	  This patch excludes W503 so that there is a valid style for breaking
	  lines on binary operators.

2019-01-12 15:25:53 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: Plug newly introduced leak

2019-01-12 09:59:12 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: Use filename instead of full path in dotfiles names

2019-01-07 00:06:30 +0100  Thibault Saunier <tsaunier@igalia.com>

	* validate/tests/check/validate/padmonitor.c:
	  validate:tests: Fix race in `validate_padmonitor.buffer_outside_segment`
	  We were using a fakesrc which data flow was potentially breaking the
	  test.

2019-01-07 00:05:50 +0100  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Lower a ERROR message to INFO
	  This behaviour is totally valid when running unit tests

2019-01-03 14:15:16 +0100  Thibault Saunier <tsaunier@igalia.com>

	* validate/tests/check/validate/padmonitor.c:
	  validate:tests: s/discount_buffer/discont_buffer/

2019-01-03 12:09:09 +0100  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-monitor.c:
	* validate/tests/check/validate/padmonitor.c:
	  validate:tests: Fix race in `validate_padmonitor.buffer_before_segment`
	  We were using a fakesrc which data flow was potentially breaking the
	  test. Stop using it and remove dead code.
	  Fixes #34

2018-12-17 10:34:43 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* validate/launcher/baseclasses.py:
	  validate: fix crash if timeout when media_descriptor is None
	  Some tests may not have any media_descriptor. If those were failing to
	  shutdown after EOS we were calling get_protocol() on None.

2018-12-14 12:00:18 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Fix error message

2018-12-14 11:17:41 +0100  Alexandru Băluț <alexandru.balut@gmail.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Fix discovery of commands

2018-12-10 13:25:58 +1100  Matthew Waters <matthew@centricular.com>

	* meson.build:
	* validate/gst/validate/meson.build:
	* validate/plugins/extra_checks/meson.build:
	  gst: allow building static libraries for e.g. Android/iOS

2018-12-09 17:55:37 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/win32/common/libgstvalidate.def:
	  meson: Fix build on {cross-,}win{32,64}
	  We use visual studio module definitions for the list of symbols to
	  export when targetting Windows. Fixes CI failure:
	  ../validate/tools/gst-validate.c:460: undefined reference to `gst_validate_spin_on_fault_signals'

2018-12-07 09:05:09 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Do not CK_FORK on our test
	  Otherwise the process can't cleanly quit on assertion because of the way libcheck runner is implemented

2018-12-07 09:03:24 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/launcher/baseclasses.py:
	* validate/tools/gst-validate-media-check.c:
	* validate/tools/gst-validate-transcoding.c:
	* validate/tools/gst-validate.c:
	  validate: launcher: Add a way to retrieve trace without coredumpctl
	  Simply spnning on segfaults (like gst-launch) and catch that in
	  the launcher to transform the timeout into a segfault and grab a gdb
	  backtrace

2018-12-06 23:17:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Do not take CK_DEFAULT_TIMEOUT into account to set the timeout
	  The timeout is what is set in the meson build definition otherwise we will not behave as 'meson test' which we should avoid

2018-12-06 15:35:18 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/reporters.py:
	  validate:launcher: Make failure as <failure> in our xunit reporter
	  I think it was a mistake to call them <error> as the two notions are
	  different (we marked failed test as "failures" in the <testuite> node).
	  Should make gitlab happy with our file!

2018-12-06 11:53:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* validate/common:
	  Automatic update of common submodule
	  From eb6a86e to 59cb678

2018-11-30 10:59:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	* validate/launcher/utils.py:
	  validate:launcher: Add a GST_VALIDATE_LAUNCHER_MAIN_DIR env variable
	  This is generally usefull so we do not have to pass -M every time we launch the launcher
	  And it adds support for nesting launcher calls always respecting the provided main directory
	  + Fix some new pep8 errors

2018-11-28 10:14:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Don't about unexisting tests when filtering tests
	  It was wrong

2018-11-28 10:11:00 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Fix setting meson tests as "parallel"

2018-11-26 10:13:22 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Avoid using not yet set variables
	  And make the file pep8 compliant with latest pep8 checker.

2018-11-25 11:36:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: launcher: Add a way to load pipeline tests from a scenario

2018-11-22 21:06:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/main.py:
	  validate: Update default testsuite git repository

2018-11-17 09:48:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Enhance printing actions with fields
	  If you have maby field, printed actions where unreadable, clean that
	  up by adding new lines.

2018-11-17 09:09:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add an action to 'include' another scenario
	  This is particularly useful for scenario that define constants
	  that are used to check video frame checksum for example, we can
	  now have one single 'scenario' file that defines consts for the
	  checksum of the frames, and those can be reused everywhere.

2018-10-28 15:21:38 +0000  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-override.h:
	  validate:override: Notify override object when they get attached

2018-10-29 15:37:11 +0000  Alicia Boya García <ntrrgc@gmail.com>

	* validate/gst/validate/gst-validate-monitor.c:
	  validate: fix bug monitor subscriptions on pads by name
	  gst_validate_override_register_by_name() was not working when using a
	  pad name because by the time gst_validate_pad_monitor_do_setup()
	  was called to set the name of the monitor it was too late for overrides
	  to have any effect.
	  Patch written by Thibault.

2018-11-12 13:14:42 +0200  Jordan Petridis <jordan@centricular.com>

	* .gitlab-ci.yml:
	  Add Gitlab CI configuration
	  This commit adds a .gitlab-ci.yml file, which uses a feature
	  to fetch the config from a centralized repository. The intent is
	  to have all the gstreamer modules use the same configuration.
	  The configuration is currently hosted at the gst-ci repository
	  under the gitlab/ci_template.yml path.
	  Part of https://gitlab.freedesktop.org/gstreamer/gstreamer-project/issues/29

2018-11-05 05:54:43 +0000  Matthew Waters <matthew@centricular.com>

	* .gitmodules:
	* validate/gst-validate.doap:
	  Update git locations to gitlab

2018-10-28 14:54:47 +0000  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-override-registry.c:
	  validate: Allow connecting reporters by name for overrides
	  Using the element that owns the pad on which we are connecting
	  was not making sense.

2018-10-28 11:03:54 +0000  Philippe Normand <philn@igalia.com>

	* debug-viewer/gst-debug-viewer:
	  debug-viewer: Python3 port follow-up
	  One print statement wasn't ported to Python3.

2018-10-27 09:01:53 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* debug-viewer/meson.build:
	* meson_options.txt:
	  meson: add option to disable translation
	  https://bugzilla.gnome.org/show_bug.cgi?id=797342

2018-09-19 11:50:09 +0900  Wonchul Lee <chul0812@gmail.com>

	* validate/gst-libs/gst/video/gssim.c:
	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst-libs/gst/video/gstvalidatessim.h:
	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: Update for g_type_class_add_private() deprecation in recent GLib
	  https://gitlab.gnome.org/GNOME/glib/merge_requests/7

2018-09-08 19:24:41 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst-libs/gst/video/gssim.c:
	* validate/gst-libs/gst/video/gssim.h:
	  Update for g_type_class_add_private() deprecation in recent GLib

2018-09-08 11:12:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  launcher:scenario: Fix the way we compute scenario path/name when paths supplied
	  We were just iterating over the list without any check and could end
	  up with a patch that was not corresponding to the actual scenario.

2018-09-07 15:59:49 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/vfb_server.py:
	  validate:launcher: Just wait for a while before considering Xvfb is ready if xset is not present
	  This is what xvfb-run so let's consider it good enough

2018-08-01 21:05:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Use fakevideosink everywhere it makes sense.

2018-09-06 17:29:24 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/gst/overrides/gst-validate-default-overrides.c:
	  validate: Export the plugin symbol correctly
	  Otherwise it doesn't get correctly exported when building with MSVC

2018-09-01 12:09:32 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	* validate/meson.build:
	* validate/tests/check/meson.build:
	* validate/tests/meson.build:
	  meson: Add a feature option for tests
	  This autodetection is needed on iOS inside Cerbero where
	  gstreamer-check-1.0 is not available.

2018-08-31 15:21:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: gst_version_* are ints, convert them early
	  Fixes error reported by ceyusa:
	  gst-devtools/meson.build:23:0: ERROR:  Multiplication works only with integers.

2018-08-31 14:52:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* validate/gst/overrides/meson.build:
	* validate/gst/validate/meson.build:
	  meson: Maintain macOS ABI through dylib versioning
	  Requires Meson 0.48, but the feature will be ignored on older versions
	  so it's safe to add it without bumping the requirement.
	  Documentation:
	  https://github.com/mesonbuild/meson/blob/master/docs/markdown/Reference-manual.md#shared_library

2018-07-31 23:29:57 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/gst/meson.build:
	* validate/gst/overrides/meson.build:
	  meson: Build gstvalidate-default-overrides-1.0
	  Needed by Cerbero.

2018-07-30 21:36:48 +0200  Alicia Boya García <ntrrgc@gmail.com>

	* validate/launcher/baseclasses.py:
	  gst-validate-launcher: Print copypaste-friendlier commands
	  This patch removes the quotes surrounding the command shown by
	  gst-validate to reproduce the issues -- which were troublesome when
	  copying and pasting.
	  It also introduces escaping for the arguments, so that the command line
	  can be copied and pasted in the terminal without further changes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796897

2018-07-25 17:27:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	* validate/docs/validate/meson.build:
	* validate/meson.build:
	  meson: Convert common options to feature options
	  The rest will be converted later, these are necessary for gst-build to
	  set options correctly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795107

2018-07-14 15:55:34 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add an action type to validate last sample checksum

2018-07-19 22:00:17 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Print some ERROR log when inspecting scenario fails

2018-07-19 18:27:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add a way to define constants to be used in actions
	  Allowing writing simpler to read scenarios.

2018-07-14 08:27:05 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Add a way to set rank on all features of a plugin
	  You often want to make sure that elements from a particular plugins
	  are always/never plugged, `set-rank,name=plugin-name,rank=XXX` allows
	  you to simply do that.

2018-07-12 19:13:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Minor output string message

2018-07-10 13:16:36 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/reporters.py:
	  validate: Use 'skipped' keyword in xunit xml
	  It was always meant to be 'skipped' to be 100% compatible with xunit
	  xsl.
	  Makes jenkins happy again

2018-07-08 17:02:59 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Stop spamming envvars in unit tests command printing.
	  We used to print the whole environment, making it ugly and hard to
	  read.

2018-07-01 11:32:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate:launcher: Allow retrieving coredumps from within flatpak

2018-06-19 07:12:20 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  pad-monitor: Reset stream-related variables when deactivating
	  Any local variable related to the stream should be resetted
	  when the pad is deactivated
	  Avoids weird issues when elements are re-used (and pads are deactivated
	  and reactivated).

2018-06-17 08:34:09 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix the --forever switch
	  It was not stopping on error.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796608

2018-06-15 17:52:47 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/win32/common/libgstvalidate.def:
	  validate: Update .def

2018-06-15 16:42:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/Makefile.am:
	* validate/launcher/apps/meson.build:
	* validate/launcher/apps/pyunittest.py:
	* validate/launcher/testsuites/Makefile.am:
	* validate/launcher/testsuites/meson.build:
	* validate/launcher/testsuites/pyunittest.py:
	  validate:launcher: Add a TestManager to run python tests
	  Add a stupid simple testsuite made to be configured from the outside

2018-06-15 15:01:32 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/media-descriptor.c:
	  validate: Fix mixup in variable check

2018-06-15 10:25:33 -0400  Thibault Saunier <tsaunier@igalia.com>

	* meson_options.txt:
	* validate/meson.build:
	  meson: Rename the gtkdoc option to gtk_doc
	  This is what other modules use

2018-05-24 14:41:27 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate-media-check.c:
	  validate: media-check: Avoid spamming the MediaInfo file on stdout

2018-05-23 17:57:23 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/docs/validate/gst-validate-launcher.xml:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate: launcher: Add support for running tests with a pushfile source
	  Introducing the `.media_info.push` media info extension, which is meant
	  to let the launcher know that those file should run with the "pushfile://"
	  protocol.
	  And allow symlinking "normal" `.media_info` to their `.pushfile` variant
	  so that both can share the exact same content.

2018-05-25 15:35:10 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-enum-types.h.template:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/media-descriptor.h:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/tools/gst-validate-media-check.c:
	  validate: media-check: Add a way to skip pluggin parsers
	  This is useful when you want to check only the demuxer output.
	  - Keep the information in the media file so that we can launch media-check
	  with the proper arguments in the launcher. Update it accordingly.
	  - Refactor compare_streams to simplify it, which in the end leads to
	  reporting all the issues instead of exiting on the first one.

2018-05-23 01:11:32 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/media-descriptor.h:
	  validate: media-descriptor: Add a way to specify when a field value is unknown
	  And this way is to set the attribute to... `unknown`

2018-05-22 19:43:01 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/gst/validate/media-descriptor.h:
	  validate: media-check: Also check that segments are correct

2018-06-14 18:01:54 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	  debug-viewer: Fix reload file action.
	  Copy the log file only we're loading a file different from the previous file.
	  The previous version of this code was broken because the existing tmpfile was
	  removed from disk before being copied to a new temporary file.

2018-06-05 16:38:10 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/media-descriptor.c:
	  validate/media-descriptor: Fix indentation

2018-06-05 16:36:24 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-report.h:
	  validate: Add a new issue to detect invalid event seqnum
	  Events should always have a valid seqnum. Add a new issue which
	  allows detecting such events. And use that check in the
	  pad monitor

2018-06-05 16:25:46 +0200  Edward Hervey <edward@centricular.com>

	* validate/.gitignore:
	* validate/docs/.gitignore:
	* validate/tools/.gitignore:
	  validate: Update all gitignore

2018-05-25 12:03:46 +0200  Alicia Boya García <ntrrgc@gmail.com>

	* validate/launcher/baseclasses.py:
	  gst-validate-launcher: let gdb handle SIGINT itself
	  Otherwise both gdb and gst-validate-launcher will react to ^C at the
	  same time, gdb will be killed by SIGHUP (because gst-validate-launcher
	  quitted in consequence of the ^C) and the terminal state will be left
	  garbled because readline inside gdb had disabled echo.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796396

2018-05-25 12:06:22 +0200  Alicia Boya García <ntrrgc@gmail.com>

	* validate/launcher/baseclasses.py:
	  gst-validate-launcher: disable timeouts when debugging in gdb interactively
	  An interactive debugging session can be going for a long time, we don't
	  want any timeouts in that case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796397

2018-05-24 18:25:59 +0200  Alicia Boya García <ntrrgc@gmail.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  gst-validate-launcher: Stop in --gdb by default, add --gdb-non-stop
	  This patch modifies the default behavior of --gdb to not run and quit
	  automatically the test, but rather wait for user input. This is
	  usually much more convenient to debug all kinds of bugs.
	  The automatic run behavior has been moved to a new command switch:
	  --gdb-non-stop
	  https://bugzilla.gnome.org/show_bug.cgi?id=796389

2018-05-18 11:50:18 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/tools/gst-validate.c:
	  validate: Error out if gst_parse_launch sets an error.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796240

2018-05-15 14:40:45 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Error out loudly if the testlist changes
	  When --fail-on-testlist-change is set.

2018-05-15 14:35:30 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/reporters.py:
	  validate:launcher: Do not print time spent if the testsuite never started

2018-04-28 10:15:17 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Make sure testsuites are used/configured once only

2018-05-13 16:30:25 -0400  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add a way to check if a gst feature is present
	  And make sure iqa is present to run IQA tests.

2018-05-03 11:27:31 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Cleanup the way we find where -validate tools are

2018-04-20 23:57:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate: launcher: Add a way to simply run SSIM checks on rendered files
	  We will run a simple pipeline with the IQA element to run ssim (dssim)
	  tests on the rendered files, comparing it with a reference file.
	  For now we use the very empiric 1.0 value as a ssim error threshold and
	  the goal is basically to detect completely broken renderings.

2018-04-19 22:13:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Add support for the new testbin protocol

2018-04-19 22:13:03 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Data.py:
	* debug-viewer/GstDebugViewer/GUI/columns.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	  debug-viewer: Ignore broken utf8 errors
	  Not much we can do if the input file is not perfectly valid UTF8
	  but we should just do as good as we can.

2018-05-13 13:02:11 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Data.py:
	* debug-viewer/GstDebugViewer/GUI/colors.py:
	* debug-viewer/GstDebugViewer/GUI/columns.py:
	* debug-viewer/GstDebugViewer/Plugins/Timeline.py:
	  debug-viewer: MEMDUMP debug level support

2018-05-07 17:30:13 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Remove hls.*seek_with_stop blacklisting
	  The issue is closed upstream (because of concentrating on decodebin3
	  instead), and initial forever testing seems to show the issue doesn't
	  happen anymore

2018-05-05 19:55:14 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	* validate/meson.build:
	  meson: Update option names to omit disable_ prefixes
	  Also yield common options to the outer project (gst-build in our case)
	  so that they don't have to be set manually.

2018-04-27 17:32:38 +0200  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: pipeline: Handle the case where a pad has no monitor
	  We do not monitor ghost pads, only real pads, so this is a totally
	  legitimate case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=792536

2018-04-25 10:57:14 +0800  Kai Kang <kai.kang@windriver.com>

	* validate/gst/validate/Makefile.am:
	  validate: fix out of source tree build error
	  It fails to generate gst-validate-enum-types.h and gst-validate-enum-types.c
	  when build out of source tree. Add the path for template files.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795531
	  Signed-off-by: Kai Kang <kai.kang@windriver.com>

2018-04-19 14:26:23 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Common/Main.py:
	  debug-viewer: Fix raising unhandled exception
	  Old code was uselessly complex

2018-04-19 08:44:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Plugins/FindBar.py:
	  debug-viewer: Fix stacktrace after port to py3

2018-04-18 09:34:57 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	  debug-viewer: Copy log files in temporaries before using them
	  They are mmap'ed and it gets wrong if the file is changed.
	  There is high probablility the user will generate new logs while
	  inspecting some logs in the same file

2018-04-18 09:03:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Plugins/Timeline.py:
	  debug-viewer: Add a shortcut to show/hide timeline

2018-04-15 16:31:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/Common/Main.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/GstDebugViewer/__init__.py:
	* debug-viewer/data/meson.build:
	* debug-viewer/gst-debug-viewer:
	* debug-viewer/meson.build:
	* debug-viewer/org.freedesktop.GstDebugViewer.desktop.in:
	* debug-viewer/po/LINGUAS:
	* debug-viewer/setup.cfg:
	* debug-viewer/setup.py:
	* meson.build:
	* meson_options.txt:
	  debug-viewer: Port to meson
	  This allows us to run unit test as part of ninja test and have versionning
	  in sync. Also the goal is to have everything inside meson.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795282

2018-04-15 20:47:36 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Add support for specifying a workdir in tests

2018-04-15 19:45:43 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/utils.py:
	  validate:launcher: printc is accepting object as arguments
	  Make sure in all code paths those are converted to strings

2018-04-15 11:28:33 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Common/Data.py:
	  debug-viewer: Dispatcher source ID clean-up
	  This patch fixes this runtime warning:
	  GstDebugViewer/Common/Data.py:67: Warning: Source ID 17 was not found when attempting to remove it
	  GObject.source_remove(self.source_id)

2018-04-14 16:04:22 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Common/Main.py:
	* debug-viewer/GstDebugViewer/Common/utils.py:
	* debug-viewer/GstDebugViewer/Data.py:
	* debug-viewer/GstDebugViewer/GUI/__init__.py:
	* debug-viewer/GstDebugViewer/GUI/columns.py:
	* debug-viewer/GstDebugViewer/GUI/filters.py:
	* debug-viewer/GstDebugViewer/GUI/models.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/GstDebugViewer/Main.py:
	* debug-viewer/GstDebugViewer/Plugins/FindBar.py:
	* debug-viewer/GstDebugViewer/tests/__init__.py:
	* debug-viewer/GstDebugViewer/tests/create-test-log.py:
	* debug-viewer/GstDebugViewer/tests/performance.py:
	* debug-viewer/GstDebugViewer/tests/test_models.py:
	* debug-viewer/setup.py:
	* debug-viewer/tests/test_models.py:
	* hooks/pre-commit-python.hook:
	  debug-viewer: PEP8 all the things

2018-04-14 14:22:11 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Common/Data.py:
	* debug-viewer/GstDebugViewer/Common/GUI.py:
	* debug-viewer/GstDebugViewer/Common/Main.py:
	* debug-viewer/GstDebugViewer/Common/__init__.py:
	* debug-viewer/GstDebugViewer/Common/utils.py:
	* debug-viewer/GstDebugViewer/Data.py:
	* debug-viewer/GstDebugViewer/GUI/__init__.py:
	* debug-viewer/GstDebugViewer/GUI/app.py:
	* debug-viewer/GstDebugViewer/GUI/columns.py:
	* debug-viewer/GstDebugViewer/GUI/models.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/GstDebugViewer/Main.py:
	* debug-viewer/GstDebugViewer/Plugins/FindBar.py:
	* debug-viewer/GstDebugViewer/Plugins/Timeline.py:
	* debug-viewer/gst-debug-viewer:
	* debug-viewer/setup.py:
	* debug-viewer/tests/create-test-log.py:
	* debug-viewer/tests/performance.py:
	* debug-viewer/tests/test_models.py:
	  debug-viewer: Port to Python3
	  And fix unit-tests.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795260

2018-04-14 11:27:48 +0100  Philippe Normand <philn@igalia.com>

	* debug-viewer/GstDebugViewer/Plugins/ColorizeRows.py:
	* debug-viewer/GstDebugViewer/Plugins/FileProperties.py:
	  debug-viewer: remove broken/unimplemented plugins

2018-04-12 23:24:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* hooks/pre-commit-python.hook:
	  Update python hook with the new pycodestyle

2018-04-12 23:11:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add a method to find tests in a TestManager

2018-04-12 23:05:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Extract method to set a validate configuration on tests

2018-04-12 23:03:04 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: Handle having a list of structure based/file path configs

2018-03-23 20:58:38 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  launcher: Print test number in the order they finish
	  Instead of the test index in the list of tests as it is
	  meaningless to the user and feels weird.
	  Also minor fix in the test name display when running with --forever.

2018-03-23 18:02:43 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	  launcher: Minor indentation issue fixes

2018-03-23 17:44:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/reporters.py:
	* validate/launcher/utils.py:
	  launcher: Clean up outpout
	  Make our stdout output simpler to follow by:
	  - Not printing the tests we launch (it is not really useful in the end)
	  - Using `\r` when printing the passed tests
	  - Not reprinting all the test in a now useless summary

2018-03-18 10:38:42 -0300  Thibault Saunier <tsaunier@igalia.com>

	* validate/launcher/apps/gstcheck.py:
	  check: Use meson introspect to list meson tests

2018-03-20 10:56:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/NEWS:
	* validate/RELEASE:
	* validate/configure.ac:
	  Back to development

=== release 1.14.0 ===

2018-03-19 20:29:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.14.0

2018-03-13 21:14:51 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  validate: Fix the way we set the testsuite version
	  The testuite version should be 'master' during development
	  and the version number on releases, during the pre-release
	  cycle, there is no nano version, thus our detection handling
	  was mistaking.

2018-03-13 22:20:52 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update version

=== release 1.13.91 ===

2018-03-13 19:30:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.13.91

2018-03-13 13:58:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/docs/validate/meson.build:
	* validate/gst/validate/Makefile.am:
	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-element-monitor.h:
	* validate/gst/validate/gst-validate-enum-types.h.template:
	* validate/gst/validate/gst-validate-media-info.h:
	* validate/gst/validate/gst-validate-monitor-factory.h:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override-registry.h:
	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.h:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-runner.h:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/media-descriptor-parser.h:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/media-descriptor.h:
	* validate/gst/validate/meson.build:
	* validate/gst/validate/validate-prelude.h:
	* validate/gst/validate/validate.h:
	  validate: GST_EXPORT -> GST_VALIDATE_API
	  We need different export decorators for the different libs.
	  For now no actual change though, just rename before the release,
	  and add prelude headers to define the new decorator to GST_EXPORT.

2018-03-13 13:48:00 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/Plugins/Timeline.py:
	  debug-viewer: solved crash when maximum freq sentinel is 0
	  https://bugzilla.gnome.org/show_bug.cgi?id=794282

2018-03-12 12:11:18 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	  debug-viewer: Fix copying current line

2018-03-12 11:18:02 -0300  Thibault Saunier <tsaunier@igalia.com>

	* debug-viewer/MANIFEST.in:
	* debug-viewer/org.freedesktop.GstDebugViewer.appdata.xml.in:
	* debug-viewer/setup.cfg:
	  debug-viewer: Add an appdata file

=== release 1.13.90 ===

2018-03-03 22:54:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.13.90

2018-03-01 18:49:21 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: enable more warnings

2018-02-07 10:13:44 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/data/menus.ui:
	  debug-viewer: fix names of actions/functions
	  https://bugzilla.gnome.org/show_bug.cgi?id=793241

2018-02-07 10:05:35 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/filters.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/data/menus.ui:
	  debug-viewer: Added filter for threads
	  https://bugzilla.gnome.org/show_bug.cgi?id=793241

2018-02-07 09:52:26 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/GUI/filters.py:
	* debug-viewer/GstDebugViewer/GUI/window.py:
	* debug-viewer/data/menus.ui:
	  debug-viewer: Added filter for function
	  https://bugzilla.gnome.org/show_bug.cgi?id=793241

2018-02-21 19:50:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: simplify GST_DISABLE_GST_DEBUG check and don't use add_global_*
	  add_global_arguments() can't be used in subprojects. It's
	  entirely possible that devtools is a subproject but gstreamer
	  is picked up from an installed location, so we should
	  really use add_project_arguments() in both cases.

2018-02-19 12:02:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/tools/meson.build:
	  validate: tools: fix build dependencies for validate-rtsp-server
	  In file included from ../subprojects/gst-devtools/validate/tools/gst-validate-rtsp-server.c:21:0:
	  .../gst/gst.h:31:10: fatal error: gst/gstenumtypes.h: No such file or directory

2018-02-18 12:21:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* validate/plugins/gtk/gstvalidategtk.c:
	  validategtk: Stop using deprecated keymap API
	  gstvalidategtk.c:184:7: error: ‘gdk_keymap_get_default’ is deprecated: Use 'gdk_keymap_get_for_display' instead [-Werror=deprecated-declarations]
	  gdk_keymap_get_entries_for_keyval (gdk_keymap_get_default (),
	  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

2018-02-14 13:30:41 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/Data.py:
	  debug-viewer: Fixed C++ destructors detection
	  https://bugzilla.gnome.org/show_bug.cgi?id=793447

2018-02-15 21:00:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/configure.ac:
	  Fix versions

2018-02-15 19:44:37 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/configure.ac:
	  Back to development

=== release 1.13.1 ===

2018-02-15 17:30:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.13.1

2018-02-15 18:27:37 +0000  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/Makefile.am:
	  validate: dist enum types templates

2018-02-13 14:02:39 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* debug-viewer/GstDebugViewer/Data.py:
	  debug-viewer: Fix C++ detection of lambdas as function
	  https://bugzilla.gnome.org/show_bug.cgi?id=793422

2018-02-10 14:20:44 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate-pad-monitor: Use GST_SEQNUM_INVALID
	  Instead of 0 (which is valid)

2018-02-08 08:20:55 -0700  Olivier Crête <olivier.crete@collabora.com>

	* debug-viewer/GstDebugViewer/Data.py:
	  debug-viewer; Store thread as long instead of int
	  On 64-bit platforms, the thread id can be over 2^32 so use a long
	  to handle it.

2017-12-29 11:25:05 +0900  Wonchul Lee <hi@wonchul.kr>

	* validate/tools/gst-validate-images-check.c:
	* validate/tools/meson.build:
	  tools: gst-validate-images-check: Fix typo
	  https://bugzilla.gnome.org/show_bug.cgi?id=792035

2018-01-30 20:36:00 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2017-12-18 10:51:05 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  validate/baseclasses: Release un-needed data when test ends
	  This was keeping around 500-700kB of data for each test, which was
	  gradually raising memory usage of a full run by 100MB+
	  The reports are definitely not needed, and we only need to keep
	  information from the subprocess env variable that we might need
	  later on for final reporting

2017-12-18 09:48:21 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  validate/baseclasses: Don't leak several hundred MB of XML
	  The xml-based MediaDescriptor were keeping open the XML file and the
	  associated ElementTree structures, resulting in memory usage of several
	  hundred megabytes.
	  Instead cache the information we need immediately and release the
	  XML structure

2017-12-17 16:22:51 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/data/scenarios/meson.build:
	  meson: Add missing force_rtsp2 scenario
	  Without this file, gst-validate installed using meson will fail all
	  RTSP2 tests

2017-12-03 12:23:51 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Remove protocol-specific timeouts
	  Since we now check position/status of pipeline at regular intevals,
	  we no longer need to impose a different timeout based on the
	  protocol used.
	  Avoids having 4min long timeouts for no reason (30s is enough)

2017-12-03 10:42:49 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/launcher/baseclasses.py:
	  validate: Use a single TCPServer for subprocess communication
	  Instead of creating a separate TCPServer for each test, just create
	  one which handles all connections in a threaded fashion.
	  Shaves off ~500ms per test
	  https://bugzilla.gnome.org/show_bug.cgi?id=791159

2017-12-03 10:49:22 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	* validate/launcher/reporters.py:
	  validate-launcher: Allow running tests out-of-order
	  When the --shuffle option is used, the tests will be run out of order.
	  This optimizes CPU utilization since it allows running synchronized
	  and unsynchronized tests at the same.

2017-12-03 11:07:00 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/utils.py:
	  validate: Reduce time waiting for subprocess to stop
	  stopping the subprocess is done from the main thread, this would
	  throttle starting/stopping any tests by one second.
	  Start with 50ms, and gradually increase the wait between iterations

2017-12-03 11:05:40 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  gstvalidate: Lower timeout to check for rtsp-server to be up
	  Check every 100ms, avoids throttling all rtsp tests by 500ms

2017-12-02 09:36:27 -0300  Thibault Saunier <tsaunier@gnome.org>

	* .gitignore:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Launch tests in `_TestsLauncher` not in TestsManagaer
	  So that Test from several TestManager can run in parallel and thus avoid
	  waiting for tests from one TestManager to run the following one.,
	  Also by design TestsLauncher should always have been the responsible for
	  ... launching tests.

2017-11-25 13:10:41 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/media-descriptor.c:
	  validate: Don't leak strings
	  We only use them in the error/debug case anyway

2017-11-25 12:46:05 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate-report: Plug leaks
	  The trace was never freed, nor were the output of g_str_split

2017-11-23 12:27:11 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Don't assume element have factories
	  Some elements might not originate from factories (like custom/internal
	  elements).
	  Avoids dereferencing a NULL pointer

2017-11-22 16:35:46 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Handle non-relative switch
	  Make sure we stay within the number of present streams (and avoid
	  out-of-bound read).
	  CID #1415470

2017-11-22 16:34:42 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Handle switching stream of type not present
	  Unlikely to happen, but at least don't end up doing unsafe calculation
	  with n == 0 afterwards
	  CID #1415453

2017-11-12 20:08:39 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* validate/tools/meson.build:
	  meson: Always require the latest gst-rtsp-server
	  In the worst case, when building with gst-uninstalled, we will try to
	  link against an older gst-rtsp-server provided by the system. Found by
	  philn.

2017-11-08 17:22:47 +0100  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/Makefile.am:
	  validate: Call g-ir-scanner with the same toolchain as the rest

2017-10-27 09:59:53 +0200  Edward Hervey <edward@centricular.com>

	* validate/tools/gst-validate-analyze:
	  validate-analyze: Update for xml format changes

2017-07-03 16:36:32 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/force_rtsp2.scenario:
	* validate/launcher/apps/gstvalidate.py:
	  validate: launcher: Run rtsp tests against both V1 and V2
	  https://bugzilla.gnome.org/show_bug.cgi?id=781446

2017-09-06 16:35:25 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/main.py:
	  validate:launcher: Allow disabling using the number of failed tests as exitcode
	  This is usefull on CI servers where the test results will be inspected
	  and the status of the build built from it.

2017-08-24 14:17:08 +0900  Jimmy Ohn <yongjin.ohn@lge.com>

	* validate/launcher/main.py:
	  validate: launcher: Modify the order of the parser argument
	  Modify the order of the parser argument before setting dir_group
	  https://bugzilla.gnome.org/show_bug.cgi?id=786715

2017-08-26 10:50:44 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/utils.py:
	  launcher: Automatically disable output coloration if not supported

2017-08-26 09:10:40 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/meson.build:
	  meson: Fix the way we set the testsuite version

2017-08-18 11:37:28 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	* validate/launcher/reporters.py:
	  validate:launcher: Use the number of failed test as exit code
	  We used to always return 0, which was not right!

2017-08-14 16:39:56 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  launcher: Avoid exceptions when inspecting renders files
	  We were a bit to strict on the Exception types which lead to
	  the launcher failling itself when it shouldn't

2017-08-12 12:08:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: hide symbols by default unless explicitly exported

2017-08-12 12:04:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/gst/validate/gst-validate-internal.h:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/win32/common/libgstvalidate.def:
	  validate: hide some private symbols

2017-08-10 21:43:54 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Plug a potential leak when retrieving peer pad

2017-08-10 19:25:09 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Fix going over ghostpads/proxypads

2017-08-10 14:35:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* validate/docs/validate/meson.build:
	* validate/launcher/meson.build:
	* validate/plugins/gtk/meson.build:
	  meson: fix a few meson warnings
	  WARNING: The variable(s) 'DATADIR', 'LIBDIR' in the input file
	  'subprojects/gst-devtools/validate/launcher/config.py.in' are not
	  present in the given configuration data
	  WARNING: Passed invalid keyword argument "scanobj_args". This will
	  become a hard error in the future.
	  WARNING: Keyword argument "install" defined multiple times. This
	  will be a an error in future Meson releases.

2017-08-07 16:00:53 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/win32/common/libgstvalidate.def:
	  validate:win32: Update .def file.

2017-08-07 15:56:21 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-element-monitor.h:
	* validate/gst/validate/gst-validate-media-info.h:
	* validate/gst/validate/gst-validate-monitor-factory.h:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override-registry.h:
	* validate/gst/validate/gst-validate-override.h:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.h:
	* validate/gst/validate/gst-validate-report.h:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-runner.h:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/gst/validate/media-descriptor-parser.h:
	* validate/gst/validate/media-descriptor-writer.h:
	* validate/gst/validate/media-descriptor.h:
	* validate/gst/validate/validate.h:
	* validate/win32/common/libgstvalidate.def:
	  validate: Mark symbols explicitly for export with GST_EXPORT
	  With an exception:
	  * gst_validate_monitor_setup
	  which was never declared in headers and should always have been static.

2017-07-26 17:22:33 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/Makefile.am:
	  validate: Fix building the tracer
	  It fails on some platforms, I guess this is the reason

2017-07-26 16:15:16 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/Makefile.am:
	* validate/gst/validate/gst-validate-enum-types.c.template:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Also mkenums with autotools
	  And fix the build with stricter gcc arguments.

2017-07-25 11:23:35 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-enum-types.c.template:
	* validate/gst/validate/gst-validate-enum-types.h.template:
	* validate/gst/validate/gst-validate-enums.h:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.h:
	* validate/gst/validate/meson.build:
	* validate/gst/validate/validate.h:
	* validate/tools/gst-validate.c:
	  validate: Add a way to print information about pipeline status
	  Similare to what is done with gst-launch.
	  And finally generate GTypes for our flags and enums.

2017-07-26 15:22:49 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Fix NULL pointer usage
	  for good this time ...
	  CID #1415570

2017-07-26 15:18:57 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate-report: Fix a leak in error cases
	  CID #1415494

2017-07-25 09:55:02 +0200  Edward Hervey <bilboed@bilboed.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Re-enable mxf op2b tests
	  https://bugzilla.gnome.org/show_bug.cgi?id=785119

2017-07-21 10:30:37 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/win32/common/libgstvalidate.def:
	  wind32: Update .def file.

2017-07-20 14:21:59 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Protect against priv NULL usage
	  CID #1415570

2017-07-19 12:16:53 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/Makefile.am:
	* validate/data/scenarios/meson.build:
	  validate: Do not install now removed setup_sink_props_max_lateness.scenario file

2017-07-19 11:49:09 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/testsuites/check.py:
	  validate:launcher:check: Make sure to register tests from the testsuite
	  Instead of having them listed from the app manager. This is needed
	  to avoid backtrace as tests now have to be register when setting up
	  the testsuite.

2017-07-19 11:27:13 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/setup_sink_props_max_lateness.scenario:
	* validate/data/valgrind.config:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-utils.c:
	* validate/gst/validate/gst-validate-utils.h:
	* validate/launcher/baseclasses.py:
	  validate: Factor out a method to set properties on elements in utils
	  Make sure to use it where appropriate and add some logging when
	  setting an object property from an action.
	  And use the valgrind.conf to set all the properties instead of having
	  a mixture of a config scenario and the config file (making sure the
	  max-lateness is set on any sink)

2017-07-19 10:52:40 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate:scenario: Allow not config action to be executed from config files
	  When those are special cased to support that, such as the `set-property`
	  action.
	  This special handling was added in
	  4927c657107dd23405456a703bb23173ab60f27d
	  validate: disable QOS features when running with valgrind
	  before we started to support executing arbitrary config action from
	  configuration files.

2017-07-19 10:17:25 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: Fix running config action from the config file

2017-07-19 15:47:28 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Blacklist op2b mxf files
	  See https://bugzilla.gnome.org/show_bug.cgi?id=785119

2017-07-19 11:02:44 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-runner.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor-writer.c:
	  validate: Cast GList data content before usage
	  Apart from code readability, it allows compilers to detect wrong usages,
	  such as the call to gst_validate_action_new() which was using the wrong
	  argument

2017-07-18 12:09:13 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Error out if no testsuite could be loaded

2017-07-13 16:43:32 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/main.py:
	  validate: launcher: Namespace test name with the testsuite name
	  Also allowing users to pass test names directly

2017-07-13 20:17:51 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Properly use TestsLauncher.list_test to load tests
	  Otherwise we might skip check_defined_tests.

2017-07-18 10:47:00 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Remove some dead code
	  CID 1415457

2017-07-18 10:45:29 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Plug a minor string leak
	  CID 1415459

2017-07-18 10:42:00 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Don't create scenario on a monitor which has no target
	  Not very probable but avoids a potential NULL pointer dereferencing.
	  CID 1415460

2017-07-18 10:36:34 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Always only use the first description in scenarios
	  Also pluging a leak of the descrption copied structure
	  CID 1415463

2017-07-18 10:27:49 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: ssim: Do not compare unsigned to < 0
	  CID 1415473

2017-07-18 10:23:31 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	  validate: Plug a string leak
	  CID 1415475

2017-07-18 10:19:23 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate:ssim: Let user know when no file have been compared
	  Fixing a possible division by zero issue.
	  CID 1415482

2017-07-18 10:16:07 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: Add missing break statement
	  CID 1415485

2017-07-18 10:14:59 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-media-info.c:
	  Check g_file_set_contents() return value
	  CID 1415486

2017-07-18 10:12:07 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: Plug leak of copy of a va_list
	  CID 1415490

2017-07-18 10:07:34 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-element-monitor.c:
	  validate: Do not check NULL pointer uselessly
	  CID 141593

2017-07-18 10:05:02 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Plug minor leak in issue creation error path
	  CID 1415494

2017-07-18 10:00:03 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-media-info.c:
	  validate: Remove some dead code
	  Next will never be NULL as `done` is always set to TRUE when next is
	  set.
	  CID 1415503

2017-07-18 09:51:16 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-monitor.c:
	  validate: monitor: Add missing break; statement
	  Fixes CID 1415500

2017-07-18 15:50:35 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Fix wrong return value
	  We were always returning ok ...
	  CID #1415484

2017-07-18 15:48:01 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Check g_file_set_contents() return value
	  CID #1415487

2017-07-18 15:45:13 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Fix copy/paste error
	  CID #1415502

2017-07-18 15:43:26 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Fix string usage
	  Use the string representation of the index if it *IS* present (and
	  not the opposite).
	  CID #1415506

2017-07-18 15:38:04 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-utils.c:
	  validate-utils: Add NULL check
	  Unlikely to be triggered. And fix typo at the same time
	  CID #1415464

2017-07-14 10:36:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Un-blacklist scrub_forward_seeking.op2b-mpeg2-wave_hd_mxf
	  It works now after various mxfdemux changes.
	  https://bugzilla.gnome.org/show_bug.cgi?id=764025

2017-07-13 08:45:28 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  gstvalidate: Re-allow tests that should be fixed

2017-07-12 14:46:36 +0200  Edward Hervey <edward@centricular.com>

	* validate/tests/check/validate/test-utils.c:
	  check: Remove dead assignments

2017-07-11 10:11:33 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	  validate: launcher: Add some missing env variables in command to launch test

2017-07-07 12:26:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: find python3 via python3 module
	  https://bugzilla.gnome.org/show_bug.cgi?id=783198

2017-06-30 12:32:56 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/tools/gst-validate.c:
	  validate: Recalculate latency on LATENCY messages

2017-06-30 12:30:40 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Allow setting properties by element factory name

2017-06-30 09:46:57 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Enhance the set_property action to handle enum props
	  User needs to specify the enum value as a string, to be used
	  as with gst_util_set_object_arg.
	  Also enhance reporting and verify that the set value has actually
	  been taken into account.

2017-06-30 09:45:02 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Use Gst printing utils in our reporting system
	  Allowing us to use GST_PTR_FORMAT and friends!

2017-06-28 15:54:13 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not check ModuleNotFound exception
	  It is a subclass of ImportError and is avalaible only since 3.6
	  https://ci.gstreamer.net/job/pitivi-flatpak/626/console

2017-06-28 13:01:47 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Disable seek with stop on RTSP streams
	  It is actually not supported

2017-06-23 16:20:01 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	  meson: Allow using glib as a subproject

2017-06-22 15:26:08 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Avoid useless and expensive deep copies

2017-06-22 13:08:30 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Speed up xml parsing using lxml if avalaible

2017-06-22 12:01:12 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/disable_subtitle_track_while_paused.scenario:
	  validate: make swicthing subtitle track while paused require prerolling

2017-06-22 11:53:49 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/change_state_intensive.scenario:
	  validate: Fix the change_state_intensive scenario
	  The scenario was in no way certified that the pipeline was in PAUSED
	  state when starting on an stream that does not preroll

2017-06-21 14:36:33 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate:scenario: Enhance playbin3 stream selection error message

2017-06-20 15:51:27 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: Add missing space in segment mismatch issue description

2017-06-20 10:43:54 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Enhance command printing when using a server
	  So it can be copy pasted and work

2017-06-20 10:43:09 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: No need to use -validate as a tracer for RTSP server
	  It is now linked into the server app

2017-06-16 17:31:19 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Fix launching testsuite with relative paths

2017-06-13 17:13:22 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/plugins/extra_checks/gstvalidateextrachecks.c:
	* validate/plugins/extra_checks/meson.build:
	* validate/plugins/meson.build:
	  validate: Add a plugin with potential extra checks
	  And add a way to check that a configured number of instances of a particular
	  element is used, this is useful to make sure for example that playing a
	  particular stream doesn't lead to several decoders being instanciated.

2017-06-13 17:11:40 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/validate.c:
	  validate: Fix the way we check if _CONFIG is a list of structures

2017-06-13 16:15:20 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-override.h:
	  validate: overrides: Add a hook about newly added elements in a bin

2017-06-13 16:08:23 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-monitor-factory.c:
	* validate/gst/validate/gst-validate-monitor.c:
	  validate: Attach overrides before calling monitor.setup()

2017-06-08 13:43:41 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	  validate: libs: video: improve ssim's action registrations

2017-06-08 12:30:22 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/tools/Makefile.am:
	  validate: Do not link the rtsp server against validatevideo
	  It is not needed
	  https://bugzilla.gnome.org/show_bug.cgi?id=783554

2017-06-08 12:16:24 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Do not which(None), the rtsp-server command is unset if not avalaible
	  https://bugzilla.gnome.org/show_bug.cgi?id=783551

2017-06-07 16:18:59 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/tools/meson.build:
	  meson: Make dependency on rtsp-server really optionnal

2017-06-07 15:06:10 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle test that can't be run in parralel

2017-06-07 12:29:17 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/tests/check/meson.build:
	  meson: Do not use path separator in test names
	  Avoiding warnings like:
	  WARNING: Target "elements/audioamplify" has a path separator in its name.

2017-06-07 09:16:45 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/configure.ac:
	* validate/launcher/apps/gstvalidate.py:
	* validate/tools/Makefile.am:
	* validate/tools/gst-validate-rtsp-server.c:
	* validate/tools/meson.build:
	  validate: Add 'our own' RTSP server implementation

2017-06-06 16:23:48 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle optional tests
	  For example RTSP tests might not be avalaible if gst-rtsp-server-example-uri is not avalaible

2017-06-06 12:45:31 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Print logfiles when printing test result
	  It was often annoying to check wrong logs because the result are
	  not printed near the reference to logs.

2017-06-06 12:42:57 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/validate.c:
	  validate: Add a way to use config actions in GST_VALIDATE_CONFIG files
	  The synthax is:
	  core, action=action-name, param1=1, param2=param2

2017-06-05 11:35:43 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  scenario: Fallback to using media_info to determine stream duration
	  In the case the query duration return CLOCK_TIME_NONE.

2017-05-10 08:12:18 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/data/scenarios/scrub_backward_seeking.scenario:
	* validate/data/scenarios/scrub_backward_seeking_full.scenario:
	* validate/data/scenarios/scrub_forward_seeking.scenario:
	* validate/data/scenarios/scrub_forward_seeking_full.scenario:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	  validate:launcher: Do not run scenarios that need prerolling on RTSP stream

2017-04-28 17:59:21 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/meson.build:
	  validate: Do not print \r in actual files

2014-12-05 12:16:36 +0100  Thibault Saunier <tsaunier@gnome.org>

	* validate/data/scenarios/switch_audio_track_while_paused.scenario:
	* validate/data/scenarios/switch_subtitle_track_while_paused.scenario:
	* validate/docs/validate-design.txt:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/launcher/apps/gstvalidate.py:
	* validate/launcher/baseclasses.py:
	* validate/launcher/utils.py:
	  validate: Implement RTSP support

2017-06-06 23:39:21 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-reporter.c:
	  validate: reporter: add doc entry for gst_validate_report()'s varargs
	  Avoids GTK-Doc parser warnings

2017-06-06 23:01:32 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix typo/grammar issues in function documentation

2017-06-06 20:56:29 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: actions: drop needless newline before feature-rank and wait
	  Stale new-lines messed the help output of gst-validate -t

2017-06-06 20:25:10 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: actions: add info on mandatory fields for set-property
	  Additionally, drop a comment that becomes redundant after adding this
	  info to the action description

2017-06-06 19:38:23 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix description for 'seek' and 'stop'

2017-06-06 18:50:47 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/validate.c:
	  validate: fix documentation for gst_validate_init()

2017-06-02 16:51:21 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/win32/common/libgstvalidate.def:
	  validate: Update win32 def file

2017-06-01 16:38:25 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: Make Reporter.runner a MT safe weak reference
	  It can be used in any thread!

2017-05-31 14:06:04 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate:launcher: Add missing is_live implementation for FakeMediaDescriptor

2017-05-30 17:42:07 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Fix json serialized object leaks

2017-05-30 16:15:19 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Handle not redirecting valgrind output

2017-05-30 16:14:51 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Add a way to pass arguments to the leak tracer

2017-05-30 16:13:08 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-bin-monitor.c:
	* validate/gst/validate/gst-validate-bin-monitor.h:
	* validate/gst/validate/gst-validate-element-monitor.c:
	* validate/gst/validate/gst-validate-element-monitor.h:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-monitor.h:
	* validate/gst/validate/gst-validate-override-registry.c:
	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pad-monitor.h:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: Use GWeakRefs on monitor target and pipeline
	  Making it thread safe and more future proof (though having them point
	  to NULL might not be handled all around).
	  https://bugzilla.gnome.org/show_bug.cgi?id=782784

2017-05-18 15:21:41 +0200  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-monitor.c:
	  validate: monitor: Unref our weak reference to the pipeline

2017-04-28 18:02:05 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	* validate/plugins/gtk/gstvalidategtk.c:
	* validate/tests/check/validate/monitoring.c:
	* validate/tests/check/validate/padmonitor.c:
	* validate/tools/gst-validate.c:
	  validate: Make accessing Scenario.pipeline thread safe
	  The fact that Scenario.pipeline was not accessible in a thread way lead
	  to the fact that all users had to take the unref the last pipeline ref
	  in the main thread, otherwise we were crying. This was an ugly
	  restriction which lead to issue when using scenario on gst-rtsp-server.
	  This break the API as this commit remove the GstValidateScenario.pipeline
	  field but it is worth it.

2017-05-25 15:57:33 +0200  Edward Hervey <edward@centricular.com>

	* validate/data/scenarios/change_state_intensive.scenario:
	* validate/data/scenarios/full_live_rewind.scenario:
	* validate/data/scenarios/play_15s_live.scenario:
	* validate/data/scenarios/seek_end_live.scenario:
	  scenarios: Add/Update scenarios for live contents

2017-05-25 15:50:23 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  validate: Implement Scenario.__repr__
	  Allows better debugging when looking at logs

2017-05-25 13:55:52 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  validate: Add live-related features to scenarios and medias
	  Note: The notion of "live" here is in the *content* sense and not in the
	  GStreamer sense.
	  Ex:
	  * A rtsp stream is always "live" in the GStreamer sense but might not always
	  provide live content.
	  * HLS/DASH streams are not "live" in the GStreamer sense but might
	  provide "live" content.
	  Some scenarios might:
	  * require live content
	  * not be compatible with live content
	  This patch adds two new properties for scenarios:
	  * live_content_required (default False) for scenarios that can only work with
	  live content.
	  * live_content_compatible (default False) for scenarios that can work with
	  both live and non-live content.
	  This patch adds support for reading a "live" property from stream_info

2017-05-20 12:26:31 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* validate/gst/validate/validate.c:
	  validate: g_object_newv() is deprecated
	  Since glib version 2.54, g_object_newv() is deprecated.
	  This patch changes that function with a simpler g_object_new(),
	  since no properties are set.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782860

2017-05-05 14:57:20 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate-report: Don't leak GError

2017-05-05 14:57:56 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Don't end up with invalid action name
	  When replacing an action structure, also update the action name with
	  the (new) name from the new structure. Otherwise we end up with
	  a bogus name from the previous (deleted) structure.

2017-05-03 17:57:05 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate-scenario: Avoid invalid memory access
	  The name of the action comes directly (i.e. not copied) from the
	  contained GstStructure field. Therefore make sure to take that
	  name from the proper structure field (copied just before) and
	  not from an outside one.

2017-05-04 14:45:32 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate-images-check.c:
	  validate: drop superfluous whitespace from cmd description

2017-05-01 13:51:48 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* validate/tools/gst-validate-images-check.c:
	  validate: remove const from outfolder
	  GOptionEntry's arg_data is of type gpointer which differs in
	  constness from const gchar*, so remove constness from outfolder.
	  This fixes a build issue with msvc.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782031

2017-05-04 18:59:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  Back to development

2017-05-04 18:59:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/configure.ac:
	  Back to development

=== release 1.12.0 ===

2017-05-04 15:48:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.12.0

2017-04-30 14:35:29 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  launcher: Allow using the base launcher as a test manager
	  No reason to force people to subclass it in simple cases.

2017-04-27 16:45:00 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/tools/gst-validate.c:
	  tools: Fix dotfile name

=== release 1.11.91 ===

2017-04-27 17:54:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.11.91

2015-08-16 13:32:04 +0200  Thibault Saunier <tsaunier@gnome.org>

	* validate/data/scenarios/update_stop.scenario:
	  validate: Fix update_stop.scenario seek property naming

2017-04-20 10:02:58 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	  launcher:check: Ensure to set build dir before rebuilding

2017-04-11 07:48:21 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/baseclasses.py:
	  baseclasses: Add method to set a specific list of scenarios
	  https://bugzilla.gnome.org/show_bug.cgi?id=781314

2017-04-07 13:49:32 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst-libs/gst/video/gstvalidatessim.c:
	* validate/gst/validate/gst-validate-monitor.c:
	* validate/gst/validate/gst-validate-override.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: drop unneeded break+concat in some string literals
	  Perform other related improvements while at it.

2017-04-12 11:07:44 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: Do not expect track switch to be synchronous for playbin3
	  And let following actions to be executed (setting the action as
	  INTERLACED) which will make sure the track switch happened at some
	  point. It means the user has to set the pipeline to PLAYING so we can
	  make it works but we do not have choice here I think
	  https://bugzilla.gnome.org/show_bug.cgi?id=781213

2017-04-10 17:06:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  Update meson.build version to 1.11.90 too

2017-04-10 11:43:28 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  validate-pad-monitor: Fix previous commit
	  Post-send handling was only meant for seek events

2017-04-10 07:58:01 +0200  Edward Hervey <edward@centricular.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	  pad-monitor: Safely store expected seek values
	  Protect the expected seek values with the same lock as the one
	  that will be used to read/validate the resulting segments and flush
	  values.
	  Avoids races with duplicated seeks (i.e. a seek that was already
	  sent and handled via another pad, such as in demuxers).
	  https://bugzilla.gnome.org/show_bug.cgi?id=781112

=== release 1.11.90 ===

2017-04-07 16:36:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.11.90

2017-04-05 15:26:31 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix error message on scenario parsing failure

2017-04-05 14:40:12 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: avoid pointless var & associated dup/free
	  Just pass the replacement string literal to _regex_replace().

2017-04-05 14:09:53 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: avoid _strdup_printf() if not needed
	  g_strdup() is enough for this string literal.

2017-03-31 15:18:09 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: fix description for timestamp out of range
	  Additionally: Fix nits in the descriptions for
	  SCENARIO_ACTION_EXECUTION_ISSUE and CONFIG_ACTION_TYPE

2017-04-04 14:52:17 +0200  Edward Hervey <edward@centricular.com>

	* validate/launcher/apps/gstvalidate.py:
	  validate: Improve video fakesink properties
	  Try to emulate a bit better a real video sink by making the video
	  fakesink handle/calculate/report QoS.
	  Also use the same lateness value as default videosink

2017-03-28 14:35:38 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: improve description blurb for execute-on-idle
	  Additionally: Fix issues in _register_action_type() documentation.

2017-03-28 14:01:16 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix msg on _lookup_feature() failure

2017-03-28 13:30:04 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/gst-validate-scenario.h:
	  validate: scenario: fix documentation for GstValidateAction
	  Additionally:
	  Improve GstValidatePrepareAction documentation
	  Correct one-off use of 'eos' instead of EOS.

2017-03-28 12:51:12 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	  validate: scenario: fix type field in description parameter
	  Nothing wrong with Sting though :)
	  Additionally: Fix typo in need-clock-sync's description

2017-03-21 16:22:50 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst-libs/gst/video/gssim.c:
	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor.c:
	  validate: do not check for NULL before g_free()
	  g_free() is NULL-safe.

2017-03-20 15:39:24 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-pad-monitor.c:
	* validate/gst/validate/gst-validate-pipeline-monitor.c:
	* validate/gst/validate/gst-validate-report.c:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/gst/validate/media-descriptor-parser.c:
	* validate/gst/validate/media-descriptor-writer.c:
	* validate/gst/validate/media-descriptor.c:
	  validate: fix issues with a couple of string constants
	  Fix missing and/or dupplicated separators, bogus breaks, typos, etc.

2017-03-20 14:36:36 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate-images-check.c:
	* validate/tools/gst-validate-transcoding.c:
	  validate: fix whitespace separators in multi-line string constants
	  Drop dupplicated & add missing ones
	  Additionally: typo fixes

2017-03-04 11:13:33 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* validate/gst/validate/Makefile.am:
	* validate/gst/validate/meson.build:
	* validate/plugins/fault_injection/socket_interposer.c:
	* validate/plugins/gapplication/gstvalidategapplication.c:
	* validate/plugins/gtk/gstvalidategtk.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  Rename plugin filenames to match plugin names
	  - libgstvalidateplugin.so -> libgstvalidatetracer.so
	  - faultinjection -> validatefaultinjection
	  - gstvalidategtk -> validategtk
	  - ssim -> validatessim
	  https://bugzilla.gnome.org/show_bug.cgi?id=779344

2017-03-03 21:31:02 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tracer/gsttr-tsplot.py:
	  tracer: tsplot: tune the plot style a bit
	  Tweak the styles and spacing. Make the title multi-line and add more info.

2017-03-01 15:06:59 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: avoid unnecessary calls to _append_printf
	  Additionally: simplify %format magic used for padding

2017-03-01 14:04:24 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: clarify misleading message on skipped actions
	  Intention is to notify that not all actions were
	  executed but previous message suggested none were.
	  Additionally: fix problems in two others

2017-03-01 13:49:01 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-report.c:
	  validate: report: fix _issue_new()'s parameter description

2017-03-02 21:27:05 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tracer/gsttr-tsplot.py:
	  tracer: tsplot: ensure multiplots use same xrange
	  Only this way one can visually align events with buffer graphs.

2017-02-15 17:53:05 +0100  Stefan Sauer <ensonic@users.sf.net>

	* tracer/gsttr-tsplot.py:
	  tracer: tsplot: add a 3rd plot showing cycle vs. durations
	  This is helpful to spot time-segments where we processes slower than required
	  for real-time playback.

2017-03-02 17:35:22 +0100  Edward Hervey <edward@centricular.com>

	* validate/launcher/RangeHTTPServer.py:
	  validate: Make the HTTP server multi-threaded
	  Avoids having one test blocking all other tests

2017-02-27 12:10:49 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Add information on media info files parsing failures

2017-02-27 12:10:16 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/media-descriptor.c:
	  validate: Ignore more parser related fields when comparing media caps

2017-02-20 12:52:06 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate: launcher: Fix the way we retrieve command name
	  We are now using a list of args for subprocess so just using it is simple now

2017-02-20 12:51:26 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	* validate/launcher/meson.build:
	  validate:launcher: Fix typo in meson build definitions

2017-02-17 16:29:15 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate: Fix call to decode() on a string

2017-02-24 14:40:25 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate-transcoding.c:
	* validate/tools/gst-validate.c:
	  validate: fix mention to nonexistent option

2017-02-24 11:29:31 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate-transcoding.c:
	* validate/tools/gst-validate.c:
	  validate: improve set-config option description

2017-02-24 17:32:16 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	  validate:launcher: Fix setting meson build dir

2017-02-24 16:00:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  meson: Update version

2017-02-24 15:37:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* validate/configure.ac:
	  Back to development

=== release 1.11.2 ===

2017-02-24 15:10:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* validate/ChangeLog:
	* validate/NEWS:
	* validate/configure.ac:
	* validate/gst-validate.doap:
	  Release 1.11.2

2017-02-21 13:39:37 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/meson.build:
	* validate/launcher/baseclasses.py:
	* validate/tools/meson.build:
	  validate:launcher: Various fixes to make the Test class directly usable
	  And the launcher installed with meson usable

2017-02-21 13:38:16 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/apps/gstcheck.py:
	  validate: launcher: Do not force using current module dir to run check tests

2017-02-17 13:37:06 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-reporter.c:
	* validate/gst/validate/gst-validate-reporter.h:
	* validate/gst/validate/gst-validate-scenario.c:
	* validate/plugins/gtk/gstvalidategtk.c:
	* validate/plugins/ssim/gstvalidatessim.c:
	  validate: fix multiple occurrences of 'parametter'

2017-02-17 13:23:34 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate.c:
	  validate: fix unbalanced quotation mark in set-subtitle description
	  + Remove pointless split in string literal

2017-02-16 15:12:44 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/launcher/baseclasses.py:
	  validate:launcher: Take ValidateAction execution as a marker of test update

2017-02-16 14:52:15 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/gst-validate-scenario.c:
	* validate/launcher/baseclasses.py:
	  validate:scenario: Report action done with the execution duration

2017-02-16 13:46:06 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/gst/validate/gst-validate-runner.c:
	  validate: runner: fix error msg for duplicated runner
	  - Add trailing whitespace to avoid accidental concatenation
	  - Fix bunch of typos and some grammar while at it

2017-02-16 13:30:06 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* validate/tools/gst-validate.c:
	  validate: fix message on runner errors
	  - Add newline char to avoid accidental concatenation with
	  actual error message
	  - Fix grammar while at it

2017-02-15 18:31:38 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/meson.build:
	  meson: Fix Gir *_prefix value to be the sames as with autotools
	  We want to be able to do GstValidate.Monitor and not
	  GstValidate.ValidateMonitor.
	  And do not pass header to the list of sources to build libraries as
	  it is not needed.

2017-02-15 18:00:00 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* validate/gst/validate/meson.build:
